"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminComponent = void 0;
var elmer_ui_core_1 = require("elmer-ui-core");
var AdminComponent = (function (_super) {
    __extends(AdminComponent, _super);
    function AdminComponent(props) {
        var _this = _super.call(this, props) || this;
        _this.allCount = 1500;
        _this.page = 1;
        _this.data = [
            {
                title: "首页",
                icon: "fa-home",
                url: "#",
                hasIcon: true,
                dataKey: "title",
                width: "60",
                items: [
                    {
                        title: "测试菜单1",
                        icon: "fa-gear",
                        url: "#"
                    }, {
                        title: "测试菜单2",
                        icon: "fa-gear",
                        url: "#"
                    }, {
                        title: "测试菜单3",
                        icon: "fa-gear",
                        url: "#"
                    }
                ]
            },
            {
                title: "用户管理",
                icon: "fa-home",
                url: "#",
                hasIcon: true,
                dataKey: "index",
                props: {
                    testData: [
                        { title: "hahah1", value: 0 },
                        { title: "hahah2", value: 1 },
                        { title: "hahah3", value: 2 },
                        { title: "hahah4", value: 3 },
                        { title: "hahah5", value: 4 },
                    ]
                },
                render: function (data, index) {
                    var checkIndex = data.checkedIndex || 0;
                    var code = "<eui-drop-down style=\"z-index:" + index + ";\" em:data='this.props.testData' tabIndex='{{" + index + "}}' value='{{" + checkIndex + "}}'/>";
                    return code;
                }
            },
            {
                title: "菜单管理",
                icon: "fa-home",
                url: "#",
                hasIcon: true,
                dataKey: "action",
                items: [
                    {
                        title: "测试菜单1",
                        icon: "fa-gear",
                        url: "#"
                    }, {
                        title: "测试菜单2",
                        icon: "fa-gear",
                        url: "#"
                    }, {
                        title: "测试菜单3",
                        icon: "fa-gear",
                        url: "#"
                    }
                ]
            },
            {
                title: "操作",
                dataKey: "items",
                props: {
                    onClick: function () {
                        var newData = JSON.parse(JSON.stringify(_this.tableData));
                        newData[0].title = "修改内容" + (new Date()).getTime();
                        newData[0].desc = "修改Desc" + (new Date()).getTime();
                        newData[0].checkedIndex = 2;
                        _this.setData({
                            tableData: newData
                        });
                    }
                },
                render: function () {
                    return "<button et:click='props.onClick'>哈哈哈</button>";
                }
            }
        ];
        _this.tableData = [];
        _this.region = ["340000", "340200", "340202"];
        _this.menuWidth = 60;
        _this.tableColumns = [
            { title: "<input type='checkbox' et:change='props.onAllChange'>", dataKey: "index", codeTitle: true, props: {
                    onAllChange: function (evt) {
                        var checked = evt.target.checked;
                        var data = JSON.parse(JSON.stringify(_this.tableData || []));
                        data.map(function (tmpData) {
                            tmpData.checked = checked;
                        });
                        _this.setData({
                            tableData: data
                        });
                    }
                },
                render: function (data, index) {
                    var checked = data.checked ? "checked='checked'" : "";
                    return "<input id='" + index + "' type='checkbox' " + checked + "/>";
                } },
            { title: "title", dataKey: "title" },
            { title: "desc", dataKey: "desc" },
            { title: "action", dataKey: "action" }
        ];
        _this.bottomHtml = "<button class='eui-button eui-button-primary' data-value=\"dataSet testting\" et:click=\"props.exprops.onClick\">BtnTestting</button>";
        _this.bottomProps = {
            onClick: function (evt) {
                console.log(evt);
            },
            handleOnSetValue: function (evt) {
                _this.state.dataLength = evt.value;
                return evt.value;
            }
        };
        _this.calendarData = {
            showTimePicker: true
        };
        for (var i = 0; i < 20; i++) {
            _this.tableData.push({
                title: "测试项目" + i,
                desc: "描述2" + i,
                action: "++52",
                index: i + 1,
                items: []
            });
        }
        return _this;
    }
    AdminComponent.prototype.handleUpdateData = function () {
        var val = this.state.dataLength || 0;
        var maxLen = parseInt(val, 10);
        if (maxLen > 0) {
            var newData = [];
            for (var i = 0; i < maxLen; i++) {
                var tmpTime = (new Date()).getTime();
                newData.push({
                    title: "测试项目" + i,
                    desc: "描述2" + tmpTime,
                    action: "++52",
                    index: i + 1,
                    items: []
                });
            }
            console.time("DataRenderTest");
            this.setData({
                tableData: newData
            });
            console.timeEnd("DataRenderTest");
        }
        else {
            this.setData({
                tableData: []
            });
            console.log(maxLen, "NoneData");
        }
    };
    AdminComponent.prototype.onBottomClick = function () {
        console.log("--------------");
    };
    AdminComponent.prototype.onModeChange = function (evt) {
        if (evt.data) {
            this.setData({
                menuWidth: 200
            });
        }
        else {
            this.setData({
                menuWidth: 60
            });
        }
    };
    AdminComponent.prototype.render = function () {
        return require("./views/admin.html");
    };
    AdminComponent = __decorate([
        elmer_ui_core_1.declareComponent({
            selector: "admin"
        }),
        __metadata("design:paramtypes", [Object])
    ], AdminComponent);
    return AdminComponent;
}(elmer_ui_core_1.Component));
exports.AdminComponent = AdminComponent;
