import { Component, IElmerKeyboardEvent } from "elmer-ui-core";
import CodeEditorLineBar from "./CodeEditorLineBar";
import CodeEditorModel from "./CodeEditorModel";
import "./style/index.less";
import { TypeCodeEditorLineData, TypeCodeEditorProps, TypeCodeEditorPropsRule } from "./TypeCodeEditor";
declare type TypeCodeEditorModel = {
    obj: CodeEditorModel;
};
export default class CodeEditor extends Component {
    static propType: TypeCodeEditorPropsRule;
    state: any;
    props: TypeCodeEditorProps;
    model: TypeCodeEditorModel;
    data: TypeCodeEditorLineData[];
    editorId: string;
    editorDom: HTMLDivElement;
    lineId: string;
    lineBarDom: CodeEditorLineBar;
    private choseLineIndex;
    private $;
    constructor(props: any);
    $inject(): void;
    $didMount(): void;
    render(): any;
    onLineClick(lineIndex: number, isActive: boolean): void;
    onKeyDown(evt: IElmerKeyboardEvent): void;
    private refreshLineBar;
}
export {};
