import { Common } from "elmer-common";
import CodeEditorPlugin from "./CodeEditorPlugin";
import { TypeCodeEditorLineData } from "./TypeCodeEditor";
export default class CodeEditorModel extends Common {
    lineData: any[];
    dom: any;
    editorContainer: HTMLDivElement;
    complile: CodeEditorPlugin;
    highLight: any;
    isEdit: boolean;
    private $;
    constructor(dom: any);
    setEditorContainer(div: HTMLDivElement): void;
    convertTextToLineData(txt: string): TypeCodeEditorLineData[];
    getLinesData(): any[];
    addNewLine(currentLineDom: HTMLDivElement): void;
    attachTextDataToDom(data: TypeCodeEditorLineData[]): void;
    private analyzeText;
    private analyzeTextKeywords;
    private createLineItemElement;
    private createSpaceElement;
    private findKeywordClassName;
}
