"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CodeEditor_1 = require("./CodeEditor");
var javascript_1 = require("./plugin/javascript");
var javascriptJSON_1 = require("./plugin/javascriptJSON");
var TypeCodeEditor_1 = require("./TypeCodeEditor");
exports.CodeEditor = CodeEditor_1.default;
exports.addCodeEditorPlugin = function (lang, highLightConfig, plugin) {
    var allConfig = window[TypeCodeEditor_1.CODE_EDITOR_PLUGIN_CONFIG_KEY] || {};
    allConfig[lang] = {
        highLight: highLightConfig,
        plugin: plugin
    };
    window[TypeCodeEditor_1.CODE_EDITOR_PLUGIN_CONFIG_KEY] = allConfig;
};
exports.addCodeEditorPlugin("javascript", javascriptJSON_1.default, javascript_1.default);
