import { Component, IElmerEvent, IPropCheckRule } from "elmer-ui-core";
import "./index.less";
declare type TypeCheckProps = {
    title?: string;
    checked?: boolean;
    showTitle?: boolean;
    className?: string;
    onChange?: Function;
};
declare type TypeCheckPropsRule = {
    [P in keyof TypeCheckProps]: IPropCheckRule;
};
export default class Checkbox extends Component {
    static propType: TypeCheckPropsRule;
    state: any;
    props: TypeCheckProps;
    constructor(props: TypeCheckProps);
    $onPropsChanged(props: TypeCheckProps): void;
    onCheckedChange(evt: IElmerEvent): void;
    render(): any;
}
export {};
