import { Component } from "elmer-ui-core";
import "./style/form.less";
export interface IAlertConfig {
    okTitle: string;
    cancelTitle: string;
    tryTitle: string;
    onOk: Function;
    onCancel: Function;
    onTry: Function;
}
export declare class AlertComponent extends Component {
    static propType: any;
    dialogConfig: IAlertConfig;
    bottomTheme: string;
    bottomHtmlCode: string;
    formID: string;
    contentID: string;
    private noTipIconTheme;
    private clickButton;
    private msgType;
    constructor(props: any);
    formClose(): void;
    $onPropsChanged(props: any): void;
    checkButtonTitle(): void;
    checkButtonType(): void;
    getDom(): void;
    render(): string;
}
