"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconDemo = void 0;
var elmer_ui_core_1 = require("elmer-ui-core");
var iconTypes_1 = require("./iconTypes");
var IconDemo = (function (_super) {
    __extends(IconDemo, _super);
    function IconDemo(props) {
        var _this = _super.call(this, props) || this;
        _this.data = [];
        iconTypes_1.iconTypes.map(function (tmpIconType) {
            _this.data.push({
                value: tmpIconType
            });
        });
        return _this;
    }
    IconDemo.prototype.handleOnClick = function (evt) {
        var data = evt.data.myData;
        typeof this.props.onClick === "function" && this.props.onClick(data);
    };
    IconDemo.prototype.handleOnDblClick = function (evt) {
        var data = evt.data.myData;
        typeof this.props.onDblClick === "function" && this.props.onDblClick(data);
    };
    IconDemo.prototype.render = function () {
        return "<ul class='eui-icon-demo'><li et:dblclick='handleOnDblClick' et:click='handleOnClick' em:for='let myData in this.data'><eui-icon type='{{myData.value}}' /><span>{{myData.value}}</span></li></ul>";
    };
    IconDemo.propType = {
        onClick: {
            description: "点击事件",
            rule: elmer_ui_core_1.propTypes.func
        },
        onDblClick: {
            description: "双击事件",
            rule: elmer_ui_core_1.propTypes.func
        }
    };
    IconDemo = __decorate([
        elmer_ui_core_1.declareComponent({
            selector: "icon-demo"
        }),
        __metadata("design:paramtypes", [Object])
    ], IconDemo);
    return IconDemo;
}(elmer_ui_core_1.Component));
exports.IconDemo = IconDemo;
