"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnumIconTypes = exports.iconTypes = void 0;
exports.iconTypes = [
    "fa-glass",
    "fa-music",
    "fa-search",
    "fa-envelope-o",
    "fa-heart",
    "fa-star",
    "fa-star-o",
    "fa-user",
    "fa-film",
    "fa-th-large",
    "fa-th",
    "fa-th-list",
    "fa-check",
    "fa-remove",
    "fa-close",
    "fa-times",
    "fa-search-plus",
    "fa-search-minus",
    "fa-power-off",
    "fa-signal",
    "fa-gear",
    "fa-cog",
    "fa-trash-o",
    "fa-home",
    "fa-file-o",
    "fa-clock-o",
    "fa-road",
    "fa-download",
    "fa-arrow-circle-o-down",
    "fa-arrow-circle-o-up",
    "fa-inbox",
    "fa-play-circle-o",
    "fa-rotate-right",
    "fa-repeat",
    "fa-refresh",
    "fa-list-alt",
    "fa-lock",
    "fa-flag",
    "fa-headphones",
    "fa-volume-off",
    "fa-volume-down",
    "fa-volume-up",
    "fa-qrcode",
    "fa-barcode",
    "fa-tag",
    "fa-tags",
    "fa-book",
    "fa-bookmark",
    "fa-print",
    "fa-camera",
    "fa-font",
    "fa-bold",
    "fa-italic",
    "fa-text-height",
    "fa-text-width",
    "fa-align-left",
    "fa-align-center",
    "fa-align-right",
    "fa-align-justify",
    "fa-list",
    "fa-dedent",
    "fa-outdent",
    "fa-indent",
    "fa-video-camera",
    "fa-photo",
    "fa-image",
    "fa-picture-o",
    "fa-pencil",
    "fa-map-marker",
    "fa-adjust",
    "fa-tint",
    "fa-edit",
    "fa-pencil-square-o",
    "fa-share-square-o",
    "fa-check-square-o",
    "fa-arrows",
    "fa-step-backward",
    "fa-fast-backward",
    "fa-backward",
    "fa-play",
    "fa-pause",
    "fa-stop",
    "fa-forward",
    "fa-fast-forward",
    "fa-step-forward",
    "fa-eject",
    "fa-chevron-left",
    "fa-chevron-right",
    "fa-plus-circle",
    "fa-minus-circle",
    "fa-times-circle",
    "fa-check-circle",
    "fa-question-circle",
    "fa-info-circle",
    "fa-crosshairs",
    "fa-times-circle-o",
    "fa-check-circle-o",
    "fa-ban",
    "fa-arrow-left",
    "fa-arrow-right",
    "fa-arrow-up",
    "fa-arrow-down",
    "fa-mail-forward",
    "fa-share",
    "fa-expand",
    "fa-compress",
    "fa-plus",
    "fa-minus",
    "fa-asterisk",
    "fa-exclamation-circle",
    "fa-gift",
    "fa-leaf",
    "fa-fire",
    "fa-eye",
    "fa-eye-slash",
    "fa-warning",
    "fa-exclamation-triangle",
    "fa-plane",
    "fa-calendar",
    "fa-random",
    "fa-comment",
    "fa-magnet",
    "fa-chevron-up",
    "fa-chevron-down",
    "fa-retweet",
    "fa-shopping-cart",
    "fa-folder",
    "fa-folder-open",
    "fa-arrows-v",
    "fa-arrows-h",
    "fa-bar-chart-o",
    "fa-bar-chart",
    "fa-twitter-square",
    "fa-facebook-square",
    "fa-camera-retro",
    "fa-key",
    "fa-gears",
    "fa-cogs",
    "fa-comments",
    "fa-thumbs-o-up",
    "fa-thumbs-o-down",
    "fa-star-half",
    "fa-heart-o",
    "fa-sign-out",
    "fa-linkedin-square",
    "fa-thumb-tack",
    "fa-external-link",
    "fa-sign-in",
    "fa-trophy",
    "fa-github-square",
    "fa-upload",
    "fa-lemon-o",
    "fa-phone",
    "fa-square-o",
    "fa-bookmark-o",
    "fa-phone-square",
    "fa-twitter",
    "fa-facebook-f",
    "fa-facebook",
    "fa-github",
    "fa-unlock",
    "fa-credit-card",
    "fa-feed",
    "fa-rss",
    "fa-hdd-o",
    "fa-bullhorn",
    "fa-bell",
    "fa-certificate",
    "fa-hand-o-right",
    "fa-hand-o-left",
    "fa-hand-o-up",
    "fa-hand-o-down",
    "fa-arrow-circle-left",
    "fa-arrow-circle-right",
    "fa-arrow-circle-up",
    "fa-arrow-circle-down",
    "fa-globe",
    "fa-wrench",
    "fa-tasks",
    "fa-filter",
    "fa-briefcase",
    "fa-arrows-alt",
    "fa-group",
    "fa-users",
    "fa-chain",
    "fa-link",
    "fa-cloud",
    "fa-flask",
    "fa-cut",
    "fa-scissors",
    "fa-copy",
    "fa-files-o",
    "fa-paperclip",
    "fa-save",
    "fa-floppy-o",
    "fa-square",
    "fa-navicon",
    "fa-reorder",
    "fa-bars",
    "fa-list-ul",
    "fa-list-ol",
    "fa-strikethrough",
    "fa-underline",
    "fa-table",
    "fa-magic",
    "fa-truck",
    "fa-pinterest",
    "fa-pinterest-square",
    "fa-google-plus-square",
    "fa-google-plus",
    "fa-money",
    "fa-caret-down",
    "fa-caret-up",
    "fa-caret-left",
    "fa-caret-right",
    "fa-columns",
    "fa-unsorted",
    "fa-sort",
    "fa-sort-down",
    "fa-sort-desc",
    "fa-sort-up",
    "fa-sort-asc",
    "fa-envelope",
    "fa-linkedin",
    "fa-rotate-left",
    "fa-undo",
    "fa-legal",
    "fa-gavel",
    "fa-dashboard",
    "fa-tachometer",
    "fa-comment-o",
    "fa-comments-o",
    "fa-flash",
    "fa-bolt",
    "fa-sitemap",
    "fa-umbrella",
    "fa-paste",
    "fa-clipboard",
    "fa-lightbulb-o",
    "fa-exchange",
    "fa-cloud-download",
    "fa-cloud-upload",
    "fa-user-md",
    "fa-stethoscope",
    "fa-suitcase",
    "fa-bell-o",
    "fa-coffee",
    "fa-cutlery",
    "fa-file-text-o",
    "fa-building-o",
    "fa-hospital-o",
    "fa-ambulance",
    "fa-medkit",
    "fa-fighter-jet",
    "fa-beer",
    "fa-h-square",
    "fa-plus-square",
    "fa-angle-double-left",
    "fa-angle-double-right",
    "fa-angle-double-up",
    "fa-angle-double-down",
    "fa-angle-left",
    "fa-angle-right",
    "fa-angle-up",
    "fa-angle-down",
    "fa-desktop",
    "fa-laptop",
    "fa-tablet",
    "fa-mobile-phone",
    "fa-mobile",
    "fa-circle-o",
    "fa-quote-left",
    "fa-quote-right",
    "fa-spinner",
    "fa-circle",
    "fa-mail-reply",
    "fa-reply",
    "fa-github-alt",
    "fa-folder-o",
    "fa-folder-open-o",
    "fa-smile-o",
    "fa-frown-o",
    "fa-meh-o",
    "fa-gamepad",
    "fa-keyboard-o",
    "fa-flag-o",
    "fa-flag-checkered",
    "fa-terminal",
    "fa-code",
    "fa-mail-reply-all",
    "fa-reply-all",
    "fa-star-half-empty",
    "fa-star-half-full",
    "fa-star-half-o",
    "fa-location-arrow",
    "fa-crop",
    "fa-code-fork",
    "fa-unlink",
    "fa-chain-broken",
    "fa-question",
    "fa-info",
    "fa-exclamation",
    "fa-superscript",
    "fa-subscript",
    "fa-eraser",
    "fa-puzzle-piece",
    "fa-microphone",
    "fa-microphone-slash",
    "fa-shield",
    "fa-calendar-o",
    "fa-fire-extinguisher",
    "fa-rocket",
    "fa-maxcdn",
    "fa-chevron-circle-left",
    "fa-chevron-circle-right",
    "fa-chevron-circle-up",
    "fa-chevron-circle-down",
    "fa-html5",
    "fa-css3",
    "fa-anchor",
    "fa-unlock-alt",
    "fa-bullseye",
    "fa-ellipsis-h",
    "fa-ellipsis-v",
    "fa-rss-square",
    "fa-play-circle",
    "fa-ticket",
    "fa-minus-square",
    "fa-minus-square-o",
    "fa-level-up",
    "fa-level-down",
    "fa-check-square",
    "fa-pencil-square",
    "fa-external-link-square",
    "fa-share-square",
    "fa-compass",
    "fa-toggle-down",
    "fa-caret-square-o-down",
    "fa-toggle-up",
    "fa-caret-square-o-up",
    "fa-toggle-right",
    "fa-caret-square-o-right",
    "fa-euro",
    "fa-eur",
    "fa-gbp",
    "fa-dollar",
    "fa-usd",
    "fa-rupee",
    "fa-inr",
    "fa-cny",
    "fa-rmb",
    "fa-yen",
    "fa-jpy",
    "fa-ruble",
    "fa-rouble",
    "fa-rub",
    "fa-won",
    "fa-krw",
    "fa-bitcoin",
    "fa-btc",
    "fa-file",
    "fa-file-text",
    "fa-sort-alpha-asc",
    "fa-sort-alpha-desc",
    "fa-sort-amount-asc",
    "fa-sort-amount-desc",
    "fa-sort-numeric-asc",
    "fa-sort-numeric-desc",
    "fa-thumbs-up",
    "fa-thumbs-down",
    "fa-youtube-square",
    "fa-youtube",
    "fa-xing",
    "fa-xing-square",
    "fa-youtube-play",
    "fa-dropbox",
    "fa-stack-overflow",
    "fa-instagram",
    "fa-flickr",
    "fa-adn",
    "fa-bitbucket",
    "fa-bitbucket-square",
    "fa-tumblr",
    "fa-tumblr-square",
    "fa-long-arrow-down",
    "fa-long-arrow-up",
    "fa-long-arrow-left",
    "fa-long-arrow-right",
    "fa-apple",
    "fa-windows",
    "fa-android",
    "fa-linux",
    "fa-dribbble",
    "fa-skype",
    "fa-foursquare",
    "fa-trello",
    "fa-female",
    "fa-male",
    "fa-gittip",
    "fa-gratipay",
    "fa-sun-o",
    "fa-moon-o",
    "fa-archive",
    "fa-bug",
    "fa-vk",
    "fa-weibo",
    "fa-renren",
    "fa-pagelines",
    "fa-stack-exchange",
    "fa-arrow-circle-o-right",
    "fa-arrow-circle-o-left",
    "fa-toggle-left",
    "fa-caret-square-o-left",
    "fa-dot-circle-o",
    "fa-wheelchair",
    "fa-vimeo-square",
    "fa-turkish-lira",
    "fa-try",
    "fa-plus-square-o",
    "fa-space-shuttle",
    "fa-slack",
    "fa-envelope-square",
    "fa-wordpress",
    "fa-openid",
    "fa-institution",
    "fa-bank",
    "fa-university",
    "fa-mortar-board",
    "fa-graduation-cap",
    "fa-yahoo",
    "fa-google",
    "fa-reddit",
    "fa-reddit-square",
    "fa-stumbleupon-circle",
    "fa-stumbleupon",
    "fa-delicious",
    "fa-digg",
    "fa-pied-piper-pp",
    "fa-pied-piper-alt",
    "fa-drupal",
    "fa-joomla",
    "fa-language",
    "fa-fax",
    "fa-building",
    "fa-child",
    "fa-paw",
    "fa-spoon",
    "fa-cube",
    "fa-cubes",
    "fa-behance",
    "fa-behance-square",
    "fa-steam",
    "fa-steam-square",
    "fa-recycle",
    "fa-automobile",
    "fa-car",
    "fa-cab",
    "fa-taxi",
    "fa-tree",
    "fa-spotify",
    "fa-deviantart",
    "fa-soundcloud",
    "fa-database",
    "fa-file-pdf-o",
    "fa-file-word-o",
    "fa-file-excel-o",
    "fa-file-powerpoint-o",
    "fa-file-photo-o",
    "fa-file-picture-o",
    "fa-file-image-o",
    "fa-file-zip-o",
    "fa-file-archive-o",
    "fa-file-sound-o",
    "fa-file-audio-o",
    "fa-file-movie-o",
    "fa-file-video-o",
    "fa-file-code-o",
    "fa-vine",
    "fa-codepen",
    "fa-jsfiddle",
    "fa-life-bouy",
    "fa-life-buoy",
    "fa-life-saver",
    "fa-support",
    "fa-life-ring",
    "fa-circle-o-notch",
    "fa-ra",
    "fa-resistance",
    "fa-rebel",
    "fa-ge",
    "fa-empire",
    "fa-git-square",
    "fa-git",
    "fa-y-combinator-square",
    "fa-yc-square",
    "fa-hacker-news",
    "fa-tencent-weibo",
    "fa-qq",
    "fa-wechat",
    "fa-weixin",
    "fa-send",
    "fa-paper-plane",
    "fa-send-o",
    "fa-paper-plane-o",
    "fa-history",
    "fa-circle-thin",
    "fa-header",
    "fa-paragraph",
    "fa-sliders",
    "fa-share-alt",
    "fa-share-alt-square",
    "fa-bomb",
    "fa-soccer-ball-o",
    "fa-futbol-o",
    "fa-tty",
    "fa-binoculars",
    "fa-plug",
    "fa-slideshare",
    "fa-twitch",
    "fa-yelp",
    "fa-newspaper-o",
    "fa-wifi",
    "fa-calculator",
    "fa-paypal",
    "fa-google-wallet",
    "fa-cc-visa",
    "fa-cc-mastercard",
    "fa-cc-discover",
    "fa-cc-amex",
    "fa-cc-paypal",
    "fa-cc-stripe",
    "fa-bell-slash",
    "fa-bell-slash-o",
    "fa-trash",
    "fa-copyright",
    "fa-at",
    "fa-eyedropper",
    "fa-paint-brush",
    "fa-birthday-cake",
    "fa-area-chart",
    "fa-pie-chart",
    "fa-line-chart",
    "fa-lastfm",
    "fa-lastfm-square",
    "fa-toggle-off",
    "fa-toggle-on",
    "fa-bicycle",
    "fa-bus",
    "fa-ioxhost",
    "fa-angellist",
    "fa-cc",
    "fa-shekel",
    "fa-sheqel",
    "fa-ils",
    "fa-meanpath",
    "fa-buysellads",
    "fa-connectdevelop",
    "fa-dashcube",
    "fa-forumbee",
    "fa-leanpub",
    "fa-sellsy",
    "fa-shirtsinbulk",
    "fa-simplybuilt",
    "fa-skyatlas",
    "fa-cart-plus",
    "fa-cart-arrow-down",
    "fa-diamond",
    "fa-ship",
    "fa-user-secret",
    "fa-motorcycle",
    "fa-street-view",
    "fa-heartbeat",
    "fa-venus",
    "fa-mars",
    "fa-mercury",
    "fa-intersex",
    "fa-transgender",
    "fa-transgender-alt",
    "fa-venus-double",
    "fa-mars-double",
    "fa-venus-mars",
    "fa-mars-stroke",
    "fa-mars-stroke-v",
    "fa-mars-stroke-h",
    "fa-neuter",
    "fa-genderless",
    "fa-facebook-official",
    "fa-pinterest-p",
    "fa-whatsapp",
    "fa-server",
    "fa-user-plus",
    "fa-user-times",
    "fa-hotel",
    "fa-bed",
    "fa-viacoin",
    "fa-train",
    "fa-subway",
    "fa-medium",
    "fa-yc",
    "fa-y-combinator",
    "fa-optin-monster",
    "fa-opencart",
    "fa-expeditedssl",
    "fa-battery-4",
    "fa-battery",
    "fa-battery-full",
    "fa-battery-3",
    "fa-battery-three-quarters",
    "fa-battery-2",
    "fa-battery-half",
    "fa-battery-1",
    "fa-battery-quarter",
    "fa-battery-0",
    "fa-battery-empty",
    "fa-mouse-pointer",
    "fa-i-cursor",
    "fa-object-group",
    "fa-object-ungroup",
    "fa-sticky-note",
    "fa-sticky-note-o",
    "fa-cc-jcb",
    "fa-cc-diners-club",
    "fa-clone",
    "fa-balance-scale",
    "fa-hourglass-o",
    "fa-hourglass-1",
    "fa-hourglass-start",
    "fa-hourglass-2",
    "fa-hourglass-half",
    "fa-hourglass-3",
    "fa-hourglass-end",
    "fa-hourglass",
    "fa-hand-grab-o",
    "fa-hand-rock-o",
    "fa-hand-stop-o",
    "fa-hand-paper-o",
    "fa-hand-scissors-o",
    "fa-hand-lizard-o",
    "fa-hand-spock-o",
    "fa-hand-pointer-o",
    "fa-hand-peace-o",
    "fa-trademark",
    "fa-registered",
    "fa-creative-commons",
    "fa-gg",
    "fa-gg-circle",
    "fa-tripadvisor",
    "fa-odnoklassniki",
    "fa-odnoklassniki-square",
    "fa-get-pocket",
    "fa-wikipedia-w",
    "fa-safari",
    "fa-chrome",
    "fa-firefox",
    "fa-opera",
    "fa-internet-explorer",
    "fa-tv",
    "fa-television",
    "fa-contao",
    "fa-500px",
    "fa-amazon",
    "fa-calendar-plus-o",
    "fa-calendar-minus-o",
    "fa-calendar-times-o",
    "fa-calendar-check-o",
    "fa-industry",
    "fa-map-pin",
    "fa-map-signs",
    "fa-map-o",
    "fa-map",
    "fa-commenting",
    "fa-commenting-o",
    "fa-houzz",
    "fa-vimeo",
    "fa-black-tie",
    "fa-fonticons",
    "fa-reddit-alien",
    "fa-edge",
    "fa-credit-card-alt",
    "fa-codiepie",
    "fa-modx",
    "fa-fort-awesome",
    "fa-usb",
    "fa-product-hunt",
    "fa-mixcloud",
    "fa-scribd",
    "fa-pause-circle",
    "fa-pause-circle-o",
    "fa-stop-circle",
    "fa-stop-circle-o",
    "fa-shopping-bag",
    "fa-shopping-basket",
    "fa-hashtag",
    "fa-bluetooth",
    "fa-bluetooth-b",
    "fa-percent",
    "fa-gitlab",
    "fa-wpbeginner",
    "fa-wpforms",
    "fa-envira",
    "fa-universal-access",
    "fa-wheelchair-alt",
    "fa-question-circle-o",
    "fa-blind",
    "fa-audio-description",
    "fa-volume-control-phone",
    "fa-braille",
    "fa-assistive-listening-systems",
    "fa-asl-interpreting",
    "fa-american-sign-language-interpreting",
    "fa-deafness",
    "fa-hard-of-hearing",
    "fa-deaf",
    "fa-glide",
    "fa-glide-g",
    "fa-signing",
    "fa-sign-language",
    "fa-low-vision",
    "fa-viadeo",
    "fa-viadeo-square",
    "fa-snapchat",
    "fa-snapchat-ghost",
    "fa-snapchat-square",
    "fa-pied-piper",
    "fa-first-order",
    "fa-yoast",
    "fa-themeisle",
    "fa-google-plus-circle",
    "fa-google-plus-official",
    "fa-fa",
    "fa-font-awesome",
    "fa-handshake-o",
    "fa-envelope-open",
    "fa-envelope-open-o",
    "fa-linode",
    "fa-address-book",
    "fa-address-book-o",
    "fa-vcard",
    "fa-address-card",
    "fa-vcard-o",
    "fa-address-card-o",
    "fa-user-circle",
    "fa-user-circle-o",
    "fa-user-o",
    "fa-id-badge",
    "fa-drivers-license",
    "fa-id-card",
    "fa-drivers-license-o",
    "fa-id-card-o",
    "fa-quora",
    "fa-free-code-camp",
    "fa-telegram",
    "fa-thermometer-4",
    "fa-thermometer",
    "fa-thermometer-full",
    "fa-thermometer-3",
    "fa-thermometer-three-quarters",
    "fa-thermometer-2",
    "fa-thermometer-half",
    "fa-thermometer-1",
    "fa-thermometer-quarter",
    "fa-thermometer-0",
    "fa-thermometer-empty",
    "fa-shower",
    "fa-bathtub",
    "fa-s15",
    "fa-bath",
    "fa-podcast",
    "fa-window-maximize",
    "fa-window-minimize",
    "fa-window-restore",
    "fa-times-rectangle",
    "fa-window-close",
    "fa-times-rectangle-o",
    "fa-window-close-o",
    "fa-bandcamp",
    "fa-grav",
    "fa-etsy",
    "fa-imdb",
    "fa-ravelry",
    "fa-eercast",
    "fa-microchip",
    "fa-snowflake-o",
    "fa-superpowers",
    "fa-wpexplorer",
    "fa-meetup"
];
var EnumIconTypes;
(function (EnumIconTypes) {
    EnumIconTypes["faGlass"] = "fa-glass";
    EnumIconTypes["faMusic"] = "fa-music";
    EnumIconTypes["faSearch"] = "fa-search";
    EnumIconTypes["faEnvelopeO"] = "fa-envelope-o";
    EnumIconTypes["faHeart"] = "fa-heart";
    EnumIconTypes["faStar"] = "fa-star";
    EnumIconTypes["faStarO"] = "fa-star-o";
    EnumIconTypes["faUser"] = "fa-user";
    EnumIconTypes["faFilm"] = "fa-film";
    EnumIconTypes["faThLarge"] = "fa-th-large";
    EnumIconTypes["faTh"] = "fa-th";
    EnumIconTypes["faThList"] = "fa-th-list";
    EnumIconTypes["faCheck"] = "fa-check";
    EnumIconTypes["faRemove"] = "fa-remove";
    EnumIconTypes["faClose"] = "fa-close";
    EnumIconTypes["faTimes"] = "fa-times";
    EnumIconTypes["faSearchPlus"] = "fa-search-plus";
    EnumIconTypes["faSearchMinus"] = "fa-search-minus";
    EnumIconTypes["faPowerOff"] = "fa-power-off";
    EnumIconTypes["faSignal"] = "fa-signal";
    EnumIconTypes["faGear"] = "fa-gear";
    EnumIconTypes["faCog"] = "fa-cog";
    EnumIconTypes["faTrashO"] = "fa-trash-o";
    EnumIconTypes["faHome"] = "fa-home";
    EnumIconTypes["faFileO"] = "fa-file-o";
    EnumIconTypes["faClockO"] = "fa-clock-o";
    EnumIconTypes["faRoad"] = "fa-road";
    EnumIconTypes["faDownload"] = "fa-download";
    EnumIconTypes["faArrowCircleODown"] = "fa-arrow-circle-o-down";
    EnumIconTypes["faArrowCircleOUp"] = "fa-arrow-circle-o-up";
    EnumIconTypes["faInbox"] = "fa-inbox";
    EnumIconTypes["faPlayCircleO"] = "fa-play-circle-o";
    EnumIconTypes["faRotateRight"] = "fa-rotate-right";
    EnumIconTypes["faRepeat"] = "fa-repeat";
    EnumIconTypes["faRefresh"] = "fa-refresh";
    EnumIconTypes["faListAlt"] = "fa-list-alt";
    EnumIconTypes["faLock"] = "fa-lock";
    EnumIconTypes["faFlag"] = "fa-flag";
    EnumIconTypes["faHeadphones"] = "fa-headphones";
    EnumIconTypes["faVolumeOff"] = "fa-volume-off";
    EnumIconTypes["faVolumeDown"] = "fa-volume-down";
    EnumIconTypes["faVolumeUp"] = "fa-volume-up";
    EnumIconTypes["faQrcode"] = "fa-qrcode";
    EnumIconTypes["faBarcode"] = "fa-barcode";
    EnumIconTypes["faTag"] = "fa-tag";
    EnumIconTypes["faTags"] = "fa-tags";
    EnumIconTypes["faBook"] = "fa-book";
    EnumIconTypes["faBookmark"] = "fa-bookmark";
    EnumIconTypes["faPrint"] = "fa-print";
    EnumIconTypes["faCamera"] = "fa-camera";
    EnumIconTypes["faFont"] = "fa-font";
    EnumIconTypes["faBold"] = "fa-bold";
    EnumIconTypes["faItalic"] = "fa-italic";
    EnumIconTypes["faTextHeight"] = "fa-text-height";
    EnumIconTypes["faTextWidth"] = "fa-text-width";
    EnumIconTypes["faAlignLeft"] = "fa-align-left";
    EnumIconTypes["faAlignCenter"] = "fa-align-center";
    EnumIconTypes["faAlignRight"] = "fa-align-right";
    EnumIconTypes["faAlignJustify"] = "fa-align-justify";
    EnumIconTypes["faList"] = "fa-list";
    EnumIconTypes["faDedent"] = "fa-dedent";
    EnumIconTypes["faOutdent"] = "fa-outdent";
    EnumIconTypes["faIndent"] = "fa-indent";
    EnumIconTypes["faVideoCamera"] = "fa-video-camera";
    EnumIconTypes["faPhoto"] = "fa-photo";
    EnumIconTypes["faImage"] = "fa-image";
    EnumIconTypes["faPictureO"] = "fa-picture-o";
    EnumIconTypes["faPencil"] = "fa-pencil";
    EnumIconTypes["faMapMarker"] = "fa-map-marker";
    EnumIconTypes["faAdjust"] = "fa-adjust";
    EnumIconTypes["faTint"] = "fa-tint";
    EnumIconTypes["faEdit"] = "fa-edit";
    EnumIconTypes["faPencilSquareO"] = "fa-pencil-square-o";
    EnumIconTypes["faShareSquareO"] = "fa-share-square-o";
    EnumIconTypes["faCheckSquareO"] = "fa-check-square-o";
    EnumIconTypes["faArrows"] = "fa-arrows";
    EnumIconTypes["faStepBackward"] = "fa-step-backward";
    EnumIconTypes["faFastBackward"] = "fa-fast-backward";
    EnumIconTypes["faBackward"] = "fa-backward";
    EnumIconTypes["faPlay"] = "fa-play";
    EnumIconTypes["faPause"] = "fa-pause";
    EnumIconTypes["faStop"] = "fa-stop";
    EnumIconTypes["faForward"] = "fa-forward";
    EnumIconTypes["faFastForward"] = "fa-fast-forward";
    EnumIconTypes["faStepForward"] = "fa-step-forward";
    EnumIconTypes["faEject"] = "fa-eject";
    EnumIconTypes["faChevronLeft"] = "fa-chevron-left";
    EnumIconTypes["faChevronRight"] = "fa-chevron-right";
    EnumIconTypes["faPlusCircle"] = "fa-plus-circle";
    EnumIconTypes["faMinusCircle"] = "fa-minus-circle";
    EnumIconTypes["faTimesCircle"] = "fa-times-circle";
    EnumIconTypes["faCheckCircle"] = "fa-check-circle";
    EnumIconTypes["faQuestionCircle"] = "fa-question-circle";
    EnumIconTypes["faInfoCircle"] = "fa-info-circle";
    EnumIconTypes["faCrosshairs"] = "fa-crosshairs";
    EnumIconTypes["faTimesCircleO"] = "fa-times-circle-o";
    EnumIconTypes["faCheckCircleO"] = "fa-check-circle-o";
    EnumIconTypes["faBan"] = "fa-ban";
    EnumIconTypes["faArrowLeft"] = "fa-arrow-left";
    EnumIconTypes["faArrowRight"] = "fa-arrow-right";
    EnumIconTypes["faArrowUp"] = "fa-arrow-up";
    EnumIconTypes["faArrowDown"] = "fa-arrow-down";
    EnumIconTypes["faMailForward"] = "fa-mail-forward";
    EnumIconTypes["faShare"] = "fa-share";
    EnumIconTypes["faExpand"] = "fa-expand";
    EnumIconTypes["faCompress"] = "fa-compress";
    EnumIconTypes["faPlus"] = "fa-plus";
    EnumIconTypes["faMinus"] = "fa-minus";
    EnumIconTypes["faAsterisk"] = "fa-asterisk";
    EnumIconTypes["faExclamationCircle"] = "fa-exclamation-circle";
    EnumIconTypes["faGift"] = "fa-gift";
    EnumIconTypes["faLeaf"] = "fa-leaf";
    EnumIconTypes["faFire"] = "fa-fire";
    EnumIconTypes["faEye"] = "fa-eye";
    EnumIconTypes["faEyeSlash"] = "fa-eye-slash";
    EnumIconTypes["faWarning"] = "fa-warning";
    EnumIconTypes["faExclamationTriangle"] = "fa-exclamation-triangle";
    EnumIconTypes["faPlane"] = "fa-plane";
    EnumIconTypes["faCalendar"] = "fa-calendar";
    EnumIconTypes["faRandom"] = "fa-random";
    EnumIconTypes["faComment"] = "fa-comment";
    EnumIconTypes["faMagnet"] = "fa-magnet";
    EnumIconTypes["faChevronUp"] = "fa-chevron-up";
    EnumIconTypes["faChevronDown"] = "fa-chevron-down";
    EnumIconTypes["faRetweet"] = "fa-retweet";
    EnumIconTypes["faShoppingCart"] = "fa-shopping-cart";
    EnumIconTypes["faFolder"] = "fa-folder";
    EnumIconTypes["faFolderOpen"] = "fa-folder-open";
    EnumIconTypes["faArrowsV"] = "fa-arrows-v";
    EnumIconTypes["faArrowsH"] = "fa-arrows-h";
    EnumIconTypes["faBarChartO"] = "fa-bar-chart-o";
    EnumIconTypes["faBarChart"] = "fa-bar-chart";
    EnumIconTypes["faTwitterSquare"] = "fa-twitter-square";
    EnumIconTypes["faFacebookSquare"] = "fa-facebook-square";
    EnumIconTypes["faCameraRetro"] = "fa-camera-retro";
    EnumIconTypes["faKey"] = "fa-key";
    EnumIconTypes["faGears"] = "fa-gears";
    EnumIconTypes["faCogs"] = "fa-cogs";
    EnumIconTypes["faComments"] = "fa-comments";
    EnumIconTypes["faThumbsOUp"] = "fa-thumbs-o-up";
    EnumIconTypes["faThumbsODown"] = "fa-thumbs-o-down";
    EnumIconTypes["faStarHalf"] = "fa-star-half";
    EnumIconTypes["faHeartO"] = "fa-heart-o";
    EnumIconTypes["faSignOut"] = "fa-sign-out";
    EnumIconTypes["faLinkedinSquare"] = "fa-linkedin-square";
    EnumIconTypes["faThumbTack"] = "fa-thumb-tack";
    EnumIconTypes["faExternalLink"] = "fa-external-link";
    EnumIconTypes["faSignIn"] = "fa-sign-in";
    EnumIconTypes["faTrophy"] = "fa-trophy";
    EnumIconTypes["faGithubSquare"] = "fa-github-square";
    EnumIconTypes["faUpload"] = "fa-upload";
    EnumIconTypes["faLemonO"] = "fa-lemon-o";
    EnumIconTypes["faPhone"] = "fa-phone";
    EnumIconTypes["faSquareO"] = "fa-square-o";
    EnumIconTypes["faBookmarkO"] = "fa-bookmark-o";
    EnumIconTypes["faPhoneSquare"] = "fa-phone-square";
    EnumIconTypes["faTwitter"] = "fa-twitter";
    EnumIconTypes["faFacebookF"] = "fa-facebook-f";
    EnumIconTypes["faFacebook"] = "fa-facebook";
    EnumIconTypes["faGithub"] = "fa-github";
    EnumIconTypes["faUnlock"] = "fa-unlock";
    EnumIconTypes["faCreditCard"] = "fa-credit-card";
    EnumIconTypes["faFeed"] = "fa-feed";
    EnumIconTypes["faRss"] = "fa-rss";
    EnumIconTypes["faHddO"] = "fa-hdd-o";
    EnumIconTypes["faBullhorn"] = "fa-bullhorn";
    EnumIconTypes["faBell"] = "fa-bell";
    EnumIconTypes["faCertificate"] = "fa-certificate";
    EnumIconTypes["faHandORight"] = "fa-hand-o-right";
    EnumIconTypes["faHandOLeft"] = "fa-hand-o-left";
    EnumIconTypes["faHandOUp"] = "fa-hand-o-up";
    EnumIconTypes["faHandODown"] = "fa-hand-o-down";
    EnumIconTypes["faArrowCircleLeft"] = "fa-arrow-circle-left";
    EnumIconTypes["faArrowCircleRight"] = "fa-arrow-circle-right";
    EnumIconTypes["faArrowCircleUp"] = "fa-arrow-circle-up";
    EnumIconTypes["faArrowCircleDown"] = "fa-arrow-circle-down";
    EnumIconTypes["faGlobe"] = "fa-globe";
    EnumIconTypes["faWrench"] = "fa-wrench";
    EnumIconTypes["faTasks"] = "fa-tasks";
    EnumIconTypes["faFilter"] = "fa-filter";
    EnumIconTypes["faBriefcase"] = "fa-briefcase";
    EnumIconTypes["faArrowsAlt"] = "fa-arrows-alt";
    EnumIconTypes["faGroup"] = "fa-group";
    EnumIconTypes["faUsers"] = "fa-users";
    EnumIconTypes["faChain"] = "fa-chain";
    EnumIconTypes["faLink"] = "fa-link";
    EnumIconTypes["faCloud"] = "fa-cloud";
    EnumIconTypes["faFlask"] = "fa-flask";
    EnumIconTypes["faCut"] = "fa-cut";
    EnumIconTypes["faScissors"] = "fa-scissors";
    EnumIconTypes["faCopy"] = "fa-copy";
    EnumIconTypes["faFilesO"] = "fa-files-o";
    EnumIconTypes["faPaperclip"] = "fa-paperclip";
    EnumIconTypes["faSave"] = "fa-save";
    EnumIconTypes["faFloppyO"] = "fa-floppy-o";
    EnumIconTypes["faSquare"] = "fa-square";
    EnumIconTypes["faNavicon"] = "fa-navicon";
    EnumIconTypes["faReorder"] = "fa-reorder";
    EnumIconTypes["faBars"] = "fa-bars";
    EnumIconTypes["faListUl"] = "fa-list-ul";
    EnumIconTypes["faListOl"] = "fa-list-ol";
    EnumIconTypes["faStrikethrough"] = "fa-strikethrough";
    EnumIconTypes["faUnderline"] = "fa-underline";
    EnumIconTypes["faTable"] = "fa-table";
    EnumIconTypes["faMagic"] = "fa-magic";
    EnumIconTypes["faTruck"] = "fa-truck";
    EnumIconTypes["faPinterest"] = "fa-pinterest";
    EnumIconTypes["faPinterestSquare"] = "fa-pinterest-square";
    EnumIconTypes["faGooglePlusSquare"] = "fa-google-plus-square";
    EnumIconTypes["faGooglePlus"] = "fa-google-plus";
    EnumIconTypes["faMoney"] = "fa-money";
    EnumIconTypes["faCaretDown"] = "fa-caret-down";
    EnumIconTypes["faCaretUp"] = "fa-caret-up";
    EnumIconTypes["faCaretLeft"] = "fa-caret-left";
    EnumIconTypes["faCaretRight"] = "fa-caret-right";
    EnumIconTypes["faColumns"] = "fa-columns";
    EnumIconTypes["faUnsorted"] = "fa-unsorted";
    EnumIconTypes["faSort"] = "fa-sort";
    EnumIconTypes["faSortDown"] = "fa-sort-down";
    EnumIconTypes["faSortDesc"] = "fa-sort-desc";
    EnumIconTypes["faSortUp"] = "fa-sort-up";
    EnumIconTypes["faSortAsc"] = "fa-sort-asc";
    EnumIconTypes["faEnvelope"] = "fa-envelope";
    EnumIconTypes["faLinkedin"] = "fa-linkedin";
    EnumIconTypes["faRotateLeft"] = "fa-rotate-left";
    EnumIconTypes["faUndo"] = "fa-undo";
    EnumIconTypes["faLegal"] = "fa-legal";
    EnumIconTypes["faGavel"] = "fa-gavel";
    EnumIconTypes["faDashboard"] = "fa-dashboard";
    EnumIconTypes["faTachometer"] = "fa-tachometer";
    EnumIconTypes["faCommentO"] = "fa-comment-o";
    EnumIconTypes["faCommentsO"] = "fa-comments-o";
    EnumIconTypes["faFlash"] = "fa-flash";
    EnumIconTypes["faBolt"] = "fa-bolt";
    EnumIconTypes["faSitemap"] = "fa-sitemap";
    EnumIconTypes["faUmbrella"] = "fa-umbrella";
    EnumIconTypes["faPaste"] = "fa-paste";
    EnumIconTypes["faClipboard"] = "fa-clipboard";
    EnumIconTypes["faLightbulbO"] = "fa-lightbulb-o";
    EnumIconTypes["faExchange"] = "fa-exchange";
    EnumIconTypes["faCloudDownload"] = "fa-cloud-download";
    EnumIconTypes["faCloudUpload"] = "fa-cloud-upload";
    EnumIconTypes["faUserMd"] = "fa-user-md";
    EnumIconTypes["faStethoscope"] = "fa-stethoscope";
    EnumIconTypes["faSuitcase"] = "fa-suitcase";
    EnumIconTypes["faBellO"] = "fa-bell-o";
    EnumIconTypes["faCoffee"] = "fa-coffee";
    EnumIconTypes["faCutlery"] = "fa-cutlery";
    EnumIconTypes["faFileTextO"] = "fa-file-text-o";
    EnumIconTypes["faBuildingO"] = "fa-building-o";
    EnumIconTypes["faHospitalO"] = "fa-hospital-o";
    EnumIconTypes["faAmbulance"] = "fa-ambulance";
    EnumIconTypes["faMedkit"] = "fa-medkit";
    EnumIconTypes["faFighterJet"] = "fa-fighter-jet";
    EnumIconTypes["faBeer"] = "fa-beer";
    EnumIconTypes["faHSquare"] = "fa-h-square";
    EnumIconTypes["faPlusSquare"] = "fa-plus-square";
    EnumIconTypes["faAngleDoubleLeft"] = "fa-angle-double-left";
    EnumIconTypes["faAngleDoubleRight"] = "fa-angle-double-right";
    EnumIconTypes["faAngleDoubleUp"] = "fa-angle-double-up";
    EnumIconTypes["faAngleDoubleDown"] = "fa-angle-double-down";
    EnumIconTypes["faAngleLeft"] = "fa-angle-left";
    EnumIconTypes["faAngleRight"] = "fa-angle-right";
    EnumIconTypes["faAngleUp"] = "fa-angle-up";
    EnumIconTypes["faAngleDown"] = "fa-angle-down";
    EnumIconTypes["faDesktop"] = "fa-desktop";
    EnumIconTypes["faLaptop"] = "fa-laptop";
    EnumIconTypes["faTablet"] = "fa-tablet";
    EnumIconTypes["faMobilePhone"] = "fa-mobile-phone";
    EnumIconTypes["faMobile"] = "fa-mobile";
    EnumIconTypes["faCircleO"] = "fa-circle-o";
    EnumIconTypes["faQuoteLeft"] = "fa-quote-left";
    EnumIconTypes["faQuoteRight"] = "fa-quote-right";
    EnumIconTypes["faSpinner"] = "fa-spinner";
    EnumIconTypes["faCircle"] = "fa-circle";
    EnumIconTypes["faMailReply"] = "fa-mail-reply";
    EnumIconTypes["faReply"] = "fa-reply";
    EnumIconTypes["faGithubAlt"] = "fa-github-alt";
    EnumIconTypes["faFolderO"] = "fa-folder-o";
    EnumIconTypes["faFolderOpenO"] = "fa-folder-open-o";
    EnumIconTypes["faSmileO"] = "fa-smile-o";
    EnumIconTypes["faFrownO"] = "fa-frown-o";
    EnumIconTypes["faMehO"] = "fa-meh-o";
    EnumIconTypes["faGamepad"] = "fa-gamepad";
    EnumIconTypes["faKeyboardO"] = "fa-keyboard-o";
    EnumIconTypes["faFlagO"] = "fa-flag-o";
    EnumIconTypes["faFlagCheckered"] = "fa-flag-checkered";
    EnumIconTypes["faTerminal"] = "fa-terminal";
    EnumIconTypes["faCode"] = "fa-code";
    EnumIconTypes["faMailReplyAll"] = "fa-mail-reply-all";
    EnumIconTypes["faReplyAll"] = "fa-reply-all";
    EnumIconTypes["faStarHalfEmpty"] = "fa-star-half-empty";
    EnumIconTypes["faStarHalfFull"] = "fa-star-half-full";
    EnumIconTypes["faStarHalfO"] = "fa-star-half-o";
    EnumIconTypes["faLocationArrow"] = "fa-location-arrow";
    EnumIconTypes["faCrop"] = "fa-crop";
    EnumIconTypes["faCodeFork"] = "fa-code-fork";
    EnumIconTypes["faUnlink"] = "fa-unlink";
    EnumIconTypes["faChainBroken"] = "fa-chain-broken";
    EnumIconTypes["faQuestion"] = "fa-question";
    EnumIconTypes["faInfo"] = "fa-info";
    EnumIconTypes["faExclamation"] = "fa-exclamation";
    EnumIconTypes["faSuperscript"] = "fa-superscript";
    EnumIconTypes["faSubscript"] = "fa-subscript";
    EnumIconTypes["faEraser"] = "fa-eraser";
    EnumIconTypes["faPuzzlePiece"] = "fa-puzzle-piece";
    EnumIconTypes["faMicrophone"] = "fa-microphone";
    EnumIconTypes["faMicrophoneSlash"] = "fa-microphone-slash";
    EnumIconTypes["faShield"] = "fa-shield";
    EnumIconTypes["faCalendarO"] = "fa-calendar-o";
    EnumIconTypes["faFireExtinguisher"] = "fa-fire-extinguisher";
    EnumIconTypes["faRocket"] = "fa-rocket";
    EnumIconTypes["faMaxcdn"] = "fa-maxcdn";
    EnumIconTypes["faChevronCircleLeft"] = "fa-chevron-circle-left";
    EnumIconTypes["faChevronCircleRight"] = "fa-chevron-circle-right";
    EnumIconTypes["faChevronCircleUp"] = "fa-chevron-circle-up";
    EnumIconTypes["faChevronCircleDown"] = "fa-chevron-circle-down";
    EnumIconTypes["faHtml5"] = "fa-html5";
    EnumIconTypes["faCss3"] = "fa-css3";
    EnumIconTypes["faAnchor"] = "fa-anchor";
    EnumIconTypes["faUnlockAlt"] = "fa-unlock-alt";
    EnumIconTypes["faBullseye"] = "fa-bullseye";
    EnumIconTypes["faEllipsisH"] = "fa-ellipsis-h";
    EnumIconTypes["faEllipsisV"] = "fa-ellipsis-v";
    EnumIconTypes["faRssSquare"] = "fa-rss-square";
    EnumIconTypes["faPlayCircle"] = "fa-play-circle";
    EnumIconTypes["faTicket"] = "fa-ticket";
    EnumIconTypes["faMinusSquare"] = "fa-minus-square";
    EnumIconTypes["faMinusSquareO"] = "fa-minus-square-o";
    EnumIconTypes["faLevelUp"] = "fa-level-up";
    EnumIconTypes["faLevelDown"] = "fa-level-down";
    EnumIconTypes["faCheckSquare"] = "fa-check-square";
    EnumIconTypes["faPencilSquare"] = "fa-pencil-square";
    EnumIconTypes["faExternalLinkSquare"] = "fa-external-link-square";
    EnumIconTypes["faShareSquare"] = "fa-share-square";
    EnumIconTypes["faCompass"] = "fa-compass";
    EnumIconTypes["faToggleDown"] = "fa-toggle-down";
    EnumIconTypes["faCaretSquareODown"] = "fa-caret-square-o-down";
    EnumIconTypes["faToggleUp"] = "fa-toggle-up";
    EnumIconTypes["faCaretSquareOUp"] = "fa-caret-square-o-up";
    EnumIconTypes["faToggleRight"] = "fa-toggle-right";
    EnumIconTypes["faCaretSquareORight"] = "fa-caret-square-o-right";
    EnumIconTypes["faEuro"] = "fa-euro";
    EnumIconTypes["faEur"] = "fa-eur";
    EnumIconTypes["faGbp"] = "fa-gbp";
    EnumIconTypes["faDollar"] = "fa-dollar";
    EnumIconTypes["faUsd"] = "fa-usd";
    EnumIconTypes["faRupee"] = "fa-rupee";
    EnumIconTypes["faInr"] = "fa-inr";
    EnumIconTypes["faCny"] = "fa-cny";
    EnumIconTypes["faRmb"] = "fa-rmb";
    EnumIconTypes["faYen"] = "fa-yen";
    EnumIconTypes["faJpy"] = "fa-jpy";
    EnumIconTypes["faRuble"] = "fa-ruble";
    EnumIconTypes["faRouble"] = "fa-rouble";
    EnumIconTypes["faRub"] = "fa-rub";
    EnumIconTypes["faWon"] = "fa-won";
    EnumIconTypes["faKrw"] = "fa-krw";
    EnumIconTypes["faBitcoin"] = "fa-bitcoin";
    EnumIconTypes["faBtc"] = "fa-btc";
    EnumIconTypes["faFile"] = "fa-file";
    EnumIconTypes["faFileText"] = "fa-file-text";
    EnumIconTypes["faSortAlphaAsc"] = "fa-sort-alpha-asc";
    EnumIconTypes["faSortAlphaDesc"] = "fa-sort-alpha-desc";
    EnumIconTypes["faSortAmountAsc"] = "fa-sort-amount-asc";
    EnumIconTypes["faSortAmountDesc"] = "fa-sort-amount-desc";
    EnumIconTypes["faSortNumericAsc"] = "fa-sort-numeric-asc";
    EnumIconTypes["faSortNumericDesc"] = "fa-sort-numeric-desc";
    EnumIconTypes["faThumbsUp"] = "fa-thumbs-up";
    EnumIconTypes["faThumbsDown"] = "fa-thumbs-down";
    EnumIconTypes["faYoutubeSquare"] = "fa-youtube-square";
    EnumIconTypes["faYoutube"] = "fa-youtube";
    EnumIconTypes["faXing"] = "fa-xing";
    EnumIconTypes["faXingSquare"] = "fa-xing-square";
    EnumIconTypes["faYoutubePlay"] = "fa-youtube-play";
    EnumIconTypes["faDropbox"] = "fa-dropbox";
    EnumIconTypes["faStackOverflow"] = "fa-stack-overflow";
    EnumIconTypes["faInstagram"] = "fa-instagram";
    EnumIconTypes["faFlickr"] = "fa-flickr";
    EnumIconTypes["faAdn"] = "fa-adn";
    EnumIconTypes["faBitbucket"] = "fa-bitbucket";
    EnumIconTypes["faBitbucketSquare"] = "fa-bitbucket-square";
    EnumIconTypes["faTumblr"] = "fa-tumblr";
    EnumIconTypes["faTumblrSquare"] = "fa-tumblr-square";
    EnumIconTypes["faLongArrowDown"] = "fa-long-arrow-down";
    EnumIconTypes["faLongArrowUp"] = "fa-long-arrow-up";
    EnumIconTypes["faLongArrowLeft"] = "fa-long-arrow-left";
    EnumIconTypes["faLongArrowRight"] = "fa-long-arrow-right";
    EnumIconTypes["faApple"] = "fa-apple";
    EnumIconTypes["faWindows"] = "fa-windows";
    EnumIconTypes["faAndroid"] = "fa-android";
    EnumIconTypes["faLinux"] = "fa-linux";
    EnumIconTypes["faDribbble"] = "fa-dribbble";
    EnumIconTypes["faSkype"] = "fa-skype";
    EnumIconTypes["faFoursquare"] = "fa-foursquare";
    EnumIconTypes["faTrello"] = "fa-trello";
    EnumIconTypes["faFemale"] = "fa-female";
    EnumIconTypes["faMale"] = "fa-male";
    EnumIconTypes["faGittip"] = "fa-gittip";
    EnumIconTypes["faGratipay"] = "fa-gratipay";
    EnumIconTypes["faSunO"] = "fa-sun-o";
    EnumIconTypes["faMoonO"] = "fa-moon-o";
    EnumIconTypes["faArchive"] = "fa-archive";
    EnumIconTypes["faBug"] = "fa-bug";
    EnumIconTypes["faVk"] = "fa-vk";
    EnumIconTypes["faWeibo"] = "fa-weibo";
    EnumIconTypes["faRenren"] = "fa-renren";
    EnumIconTypes["faPagelines"] = "fa-pagelines";
    EnumIconTypes["faStackExchange"] = "fa-stack-exchange";
    EnumIconTypes["faArrowCircleORight"] = "fa-arrow-circle-o-right";
    EnumIconTypes["faArrowCircleOLeft"] = "fa-arrow-circle-o-left";
    EnumIconTypes["faToggleLeft"] = "fa-toggle-left";
    EnumIconTypes["faCaretSquareOLeft"] = "fa-caret-square-o-left";
    EnumIconTypes["faDotCircleO"] = "fa-dot-circle-o";
    EnumIconTypes["faWheelchair"] = "fa-wheelchair";
    EnumIconTypes["faVimeoSquare"] = "fa-vimeo-square";
    EnumIconTypes["faTurkishLira"] = "fa-turkish-lira";
    EnumIconTypes["faTry"] = "fa-try";
    EnumIconTypes["faPlusSquareO"] = "fa-plus-square-o";
    EnumIconTypes["faSpaceShuttle"] = "fa-space-shuttle";
    EnumIconTypes["faSlack"] = "fa-slack";
    EnumIconTypes["faEnvelopeSquare"] = "fa-envelope-square";
    EnumIconTypes["faWordpress"] = "fa-wordpress";
    EnumIconTypes["faOpenid"] = "fa-openid";
    EnumIconTypes["faInstitution"] = "fa-institution";
    EnumIconTypes["faBank"] = "fa-bank";
    EnumIconTypes["faUniversity"] = "fa-university";
    EnumIconTypes["faMortarBoard"] = "fa-mortar-board";
    EnumIconTypes["faGraduationCap"] = "fa-graduation-cap";
    EnumIconTypes["faYahoo"] = "fa-yahoo";
    EnumIconTypes["faGoogle"] = "fa-google";
    EnumIconTypes["faReddit"] = "fa-reddit";
    EnumIconTypes["faRedditSquare"] = "fa-reddit-square";
    EnumIconTypes["faStumbleuponCircle"] = "fa-stumbleupon-circle";
    EnumIconTypes["faStumbleupon"] = "fa-stumbleupon";
    EnumIconTypes["faDelicious"] = "fa-delicious";
    EnumIconTypes["faDigg"] = "fa-digg";
    EnumIconTypes["faPiedPiperPp"] = "fa-pied-piper-pp";
    EnumIconTypes["faPiedPiperAlt"] = "fa-pied-piper-alt";
    EnumIconTypes["faDrupal"] = "fa-drupal";
    EnumIconTypes["faJoomla"] = "fa-joomla";
    EnumIconTypes["faLanguage"] = "fa-language";
    EnumIconTypes["faFax"] = "fa-fax";
    EnumIconTypes["faBuilding"] = "fa-building";
    EnumIconTypes["faChild"] = "fa-child";
    EnumIconTypes["faPaw"] = "fa-paw";
    EnumIconTypes["faSpoon"] = "fa-spoon";
    EnumIconTypes["faCube"] = "fa-cube";
    EnumIconTypes["faCubes"] = "fa-cubes";
    EnumIconTypes["faBehance"] = "fa-behance";
    EnumIconTypes["faBehanceSquare"] = "fa-behance-square";
    EnumIconTypes["faSteam"] = "fa-steam";
    EnumIconTypes["faSteamSquare"] = "fa-steam-square";
    EnumIconTypes["faRecycle"] = "fa-recycle";
    EnumIconTypes["faAutomobile"] = "fa-automobile";
    EnumIconTypes["faCar"] = "fa-car";
    EnumIconTypes["faCab"] = "fa-cab";
    EnumIconTypes["faTaxi"] = "fa-taxi";
    EnumIconTypes["faTree"] = "fa-tree";
    EnumIconTypes["faSpotify"] = "fa-spotify";
    EnumIconTypes["faDeviantart"] = "fa-deviantart";
    EnumIconTypes["faSoundcloud"] = "fa-soundcloud";
    EnumIconTypes["faDatabase"] = "fa-database";
    EnumIconTypes["faFilePdfO"] = "fa-file-pdf-o";
    EnumIconTypes["faFileWordO"] = "fa-file-word-o";
    EnumIconTypes["faFileExcelO"] = "fa-file-excel-o";
    EnumIconTypes["faFilePowerpointO"] = "fa-file-powerpoint-o";
    EnumIconTypes["faFilePhotoO"] = "fa-file-photo-o";
    EnumIconTypes["faFilePictureO"] = "fa-file-picture-o";
    EnumIconTypes["faFileImageO"] = "fa-file-image-o";
    EnumIconTypes["faFileZipO"] = "fa-file-zip-o";
    EnumIconTypes["faFileArchiveO"] = "fa-file-archive-o";
    EnumIconTypes["faFileSoundO"] = "fa-file-sound-o";
    EnumIconTypes["faFileAudioO"] = "fa-file-audio-o";
    EnumIconTypes["faFileMovieO"] = "fa-file-movie-o";
    EnumIconTypes["faFileVideoO"] = "fa-file-video-o";
    EnumIconTypes["faFileCodeO"] = "fa-file-code-o";
    EnumIconTypes["faVine"] = "fa-vine";
    EnumIconTypes["faCodepen"] = "fa-codepen";
    EnumIconTypes["faJsfiddle"] = "fa-jsfiddle";
    EnumIconTypes["faLifeBouy"] = "fa-life-bouy";
    EnumIconTypes["faLifeBuoy"] = "fa-life-buoy";
    EnumIconTypes["faLifeSaver"] = "fa-life-saver";
    EnumIconTypes["faSupport"] = "fa-support";
    EnumIconTypes["faLifeRing"] = "fa-life-ring";
    EnumIconTypes["faCircleONotch"] = "fa-circle-o-notch";
    EnumIconTypes["faRa"] = "fa-ra";
    EnumIconTypes["faResistance"] = "fa-resistance";
    EnumIconTypes["faRebel"] = "fa-rebel";
    EnumIconTypes["faGe"] = "fa-ge";
    EnumIconTypes["faEmpire"] = "fa-empire";
    EnumIconTypes["faGitSquare"] = "fa-git-square";
    EnumIconTypes["faGit"] = "fa-git";
    EnumIconTypes["faYCombinatorSquare"] = "fa-y-combinator-square";
    EnumIconTypes["faYcSquare"] = "fa-yc-square";
    EnumIconTypes["faHackerNews"] = "fa-hacker-news";
    EnumIconTypes["faTencentWeibo"] = "fa-tencent-weibo";
    EnumIconTypes["faQq"] = "fa-qq";
    EnumIconTypes["faWechat"] = "fa-wechat";
    EnumIconTypes["faWeixin"] = "fa-weixin";
    EnumIconTypes["faSend"] = "fa-send";
    EnumIconTypes["faPaperPlane"] = "fa-paper-plane";
    EnumIconTypes["faSendO"] = "fa-send-o";
    EnumIconTypes["faPaperPlaneO"] = "fa-paper-plane-o";
    EnumIconTypes["faHistory"] = "fa-history";
    EnumIconTypes["faCircleThin"] = "fa-circle-thin";
    EnumIconTypes["faHeader"] = "fa-header";
    EnumIconTypes["faParagraph"] = "fa-paragraph";
    EnumIconTypes["faSliders"] = "fa-sliders";
    EnumIconTypes["faShareAlt"] = "fa-share-alt";
    EnumIconTypes["faShareAltSquare"] = "fa-share-alt-square";
    EnumIconTypes["faBomb"] = "fa-bomb";
    EnumIconTypes["faSoccerBallO"] = "fa-soccer-ball-o";
    EnumIconTypes["faFutbolO"] = "fa-futbol-o";
    EnumIconTypes["faTty"] = "fa-tty";
    EnumIconTypes["faBinoculars"] = "fa-binoculars";
    EnumIconTypes["faPlug"] = "fa-plug";
    EnumIconTypes["faSlideshare"] = "fa-slideshare";
    EnumIconTypes["faTwitch"] = "fa-twitch";
    EnumIconTypes["faYelp"] = "fa-yelp";
    EnumIconTypes["faNewspaperO"] = "fa-newspaper-o";
    EnumIconTypes["faWifi"] = "fa-wifi";
    EnumIconTypes["faCalculator"] = "fa-calculator";
    EnumIconTypes["faPaypal"] = "fa-paypal";
    EnumIconTypes["faGoogleWallet"] = "fa-google-wallet";
    EnumIconTypes["faCcVisa"] = "fa-cc-visa";
    EnumIconTypes["faCcMastercard"] = "fa-cc-mastercard";
    EnumIconTypes["faCcDiscover"] = "fa-cc-discover";
    EnumIconTypes["faCcAmex"] = "fa-cc-amex";
    EnumIconTypes["faCcPaypal"] = "fa-cc-paypal";
    EnumIconTypes["faCcStripe"] = "fa-cc-stripe";
    EnumIconTypes["faBellSlash"] = "fa-bell-slash";
    EnumIconTypes["faBellSlashO"] = "fa-bell-slash-o";
    EnumIconTypes["faTrash"] = "fa-trash";
    EnumIconTypes["faCopyright"] = "fa-copyright";
    EnumIconTypes["faAt"] = "fa-at";
    EnumIconTypes["faEyedropper"] = "fa-eyedropper";
    EnumIconTypes["faPaintBrush"] = "fa-paint-brush";
    EnumIconTypes["faBirthdayCake"] = "fa-birthday-cake";
    EnumIconTypes["faAreaChart"] = "fa-area-chart";
    EnumIconTypes["faPieChart"] = "fa-pie-chart";
    EnumIconTypes["faLineChart"] = "fa-line-chart";
    EnumIconTypes["faLastfm"] = "fa-lastfm";
    EnumIconTypes["faLastfmSquare"] = "fa-lastfm-square";
    EnumIconTypes["faToggleOff"] = "fa-toggle-off";
    EnumIconTypes["faToggleOn"] = "fa-toggle-on";
    EnumIconTypes["faBicycle"] = "fa-bicycle";
    EnumIconTypes["faBus"] = "fa-bus";
    EnumIconTypes["faIoxhost"] = "fa-ioxhost";
    EnumIconTypes["faAngellist"] = "fa-angellist";
    EnumIconTypes["faCc"] = "fa-cc";
    EnumIconTypes["faShekel"] = "fa-shekel";
    EnumIconTypes["faSheqel"] = "fa-sheqel";
    EnumIconTypes["faIls"] = "fa-ils";
    EnumIconTypes["faMeanpath"] = "fa-meanpath";
    EnumIconTypes["faBuysellads"] = "fa-buysellads";
    EnumIconTypes["faConnectdevelop"] = "fa-connectdevelop";
    EnumIconTypes["faDashcube"] = "fa-dashcube";
    EnumIconTypes["faForumbee"] = "fa-forumbee";
    EnumIconTypes["faLeanpub"] = "fa-leanpub";
    EnumIconTypes["faSellsy"] = "fa-sellsy";
    EnumIconTypes["faShirtsinbulk"] = "fa-shirtsinbulk";
    EnumIconTypes["faSimplybuilt"] = "fa-simplybuilt";
    EnumIconTypes["faSkyatlas"] = "fa-skyatlas";
    EnumIconTypes["faCartPlus"] = "fa-cart-plus";
    EnumIconTypes["faCartArrowDown"] = "fa-cart-arrow-down";
    EnumIconTypes["faDiamond"] = "fa-diamond";
    EnumIconTypes["faShip"] = "fa-ship";
    EnumIconTypes["faUserSecret"] = "fa-user-secret";
    EnumIconTypes["faMotorcycle"] = "fa-motorcycle";
    EnumIconTypes["faStreetView"] = "fa-street-view";
    EnumIconTypes["faHeartbeat"] = "fa-heartbeat";
    EnumIconTypes["faVenus"] = "fa-venus";
    EnumIconTypes["faMars"] = "fa-mars";
    EnumIconTypes["faMercury"] = "fa-mercury";
    EnumIconTypes["faIntersex"] = "fa-intersex";
    EnumIconTypes["faTransgender"] = "fa-transgender";
    EnumIconTypes["faTransgenderAlt"] = "fa-transgender-alt";
    EnumIconTypes["faVenusDouble"] = "fa-venus-double";
    EnumIconTypes["faMarsDouble"] = "fa-mars-double";
    EnumIconTypes["faVenusMars"] = "fa-venus-mars";
    EnumIconTypes["faMarsStroke"] = "fa-mars-stroke";
    EnumIconTypes["faMarsStrokeV"] = "fa-mars-stroke-v";
    EnumIconTypes["faMarsStrokeH"] = "fa-mars-stroke-h";
    EnumIconTypes["faNeuter"] = "fa-neuter";
    EnumIconTypes["faGenderless"] = "fa-genderless";
    EnumIconTypes["faFacebookOfficial"] = "fa-facebook-official";
    EnumIconTypes["faPinterestP"] = "fa-pinterest-p";
    EnumIconTypes["faWhatsapp"] = "fa-whatsapp";
    EnumIconTypes["faServer"] = "fa-server";
    EnumIconTypes["faUserPlus"] = "fa-user-plus";
    EnumIconTypes["faUserTimes"] = "fa-user-times";
    EnumIconTypes["faHotel"] = "fa-hotel";
    EnumIconTypes["faBed"] = "fa-bed";
    EnumIconTypes["faViacoin"] = "fa-viacoin";
    EnumIconTypes["faTrain"] = "fa-train";
    EnumIconTypes["faSubway"] = "fa-subway";
    EnumIconTypes["faMedium"] = "fa-medium";
    EnumIconTypes["faYc"] = "fa-yc";
    EnumIconTypes["faYCombinator"] = "fa-y-combinator";
    EnumIconTypes["faOptinMonster"] = "fa-optin-monster";
    EnumIconTypes["faOpencart"] = "fa-opencart";
    EnumIconTypes["faExpeditedssl"] = "fa-expeditedssl";
    EnumIconTypes["faBattery4"] = "fa-battery-4";
    EnumIconTypes["faBattery"] = "fa-battery";
    EnumIconTypes["faBatteryFull"] = "fa-battery-full";
    EnumIconTypes["faBattery3"] = "fa-battery-3";
    EnumIconTypes["faBatteryThreeQuarters"] = "fa-battery-three-quarters";
    EnumIconTypes["faBattery2"] = "fa-battery-2";
    EnumIconTypes["faBatteryHalf"] = "fa-battery-half";
    EnumIconTypes["faBattery1"] = "fa-battery-1";
    EnumIconTypes["faBatteryQuarter"] = "fa-battery-quarter";
    EnumIconTypes["faBattery0"] = "fa-battery-0";
    EnumIconTypes["faBatteryEmpty"] = "fa-battery-empty";
    EnumIconTypes["faMousePointer"] = "fa-mouse-pointer";
    EnumIconTypes["faICursor"] = "fa-i-cursor";
    EnumIconTypes["faObjectGroup"] = "fa-object-group";
    EnumIconTypes["faObjectUngroup"] = "fa-object-ungroup";
    EnumIconTypes["faStickyNote"] = "fa-sticky-note";
    EnumIconTypes["faStickyNoteO"] = "fa-sticky-note-o";
    EnumIconTypes["faCcJcb"] = "fa-cc-jcb";
    EnumIconTypes["faCcDinersClub"] = "fa-cc-diners-club";
    EnumIconTypes["faClone"] = "fa-clone";
    EnumIconTypes["faBalanceScale"] = "fa-balance-scale";
    EnumIconTypes["faHourglassO"] = "fa-hourglass-o";
    EnumIconTypes["faHourglass1"] = "fa-hourglass-1";
    EnumIconTypes["faHourglassStart"] = "fa-hourglass-start";
    EnumIconTypes["faHourglass2"] = "fa-hourglass-2";
    EnumIconTypes["faHourglassHalf"] = "fa-hourglass-half";
    EnumIconTypes["faHourglass3"] = "fa-hourglass-3";
    EnumIconTypes["faHourglassEnd"] = "fa-hourglass-end";
    EnumIconTypes["faHourglass"] = "fa-hourglass";
    EnumIconTypes["faHandGrabO"] = "fa-hand-grab-o";
    EnumIconTypes["faHandRockO"] = "fa-hand-rock-o";
    EnumIconTypes["faHandStopO"] = "fa-hand-stop-o";
    EnumIconTypes["faHandPaperO"] = "fa-hand-paper-o";
    EnumIconTypes["faHandScissorsO"] = "fa-hand-scissors-o";
    EnumIconTypes["faHandLizardO"] = "fa-hand-lizard-o";
    EnumIconTypes["faHandSpockO"] = "fa-hand-spock-o";
    EnumIconTypes["faHandPointerO"] = "fa-hand-pointer-o";
    EnumIconTypes["faHandPeaceO"] = "fa-hand-peace-o";
    EnumIconTypes["faTrademark"] = "fa-trademark";
    EnumIconTypes["faRegistered"] = "fa-registered";
    EnumIconTypes["faCreativeCommons"] = "fa-creative-commons";
    EnumIconTypes["faGg"] = "fa-gg";
    EnumIconTypes["faGgCircle"] = "fa-gg-circle";
    EnumIconTypes["faTripadvisor"] = "fa-tripadvisor";
    EnumIconTypes["faOdnoklassniki"] = "fa-odnoklassniki";
    EnumIconTypes["faOdnoklassnikiSquare"] = "fa-odnoklassniki-square";
    EnumIconTypes["faGetPocket"] = "fa-get-pocket";
    EnumIconTypes["faWikipediaW"] = "fa-wikipedia-w";
    EnumIconTypes["faSafari"] = "fa-safari";
    EnumIconTypes["faChrome"] = "fa-chrome";
    EnumIconTypes["faFirefox"] = "fa-firefox";
    EnumIconTypes["faOpera"] = "fa-opera";
    EnumIconTypes["faInternetExplorer"] = "fa-internet-explorer";
    EnumIconTypes["faTv"] = "fa-tv";
    EnumIconTypes["faTelevision"] = "fa-television";
    EnumIconTypes["faContao"] = "fa-contao";
    EnumIconTypes["fa500px"] = "fa-500px";
    EnumIconTypes["faAmazon"] = "fa-amazon";
    EnumIconTypes["faCalendarPlusO"] = "fa-calendar-plus-o";
    EnumIconTypes["faCalendarMinusO"] = "fa-calendar-minus-o";
    EnumIconTypes["faCalendarTimesO"] = "fa-calendar-times-o";
    EnumIconTypes["faCalendarCheckO"] = "fa-calendar-check-o";
    EnumIconTypes["faIndustry"] = "fa-industry";
    EnumIconTypes["faMapPin"] = "fa-map-pin";
    EnumIconTypes["faMapSigns"] = "fa-map-signs";
    EnumIconTypes["faMapO"] = "fa-map-o";
    EnumIconTypes["faMap"] = "fa-map";
    EnumIconTypes["faCommenting"] = "fa-commenting";
    EnumIconTypes["faCommentingO"] = "fa-commenting-o";
    EnumIconTypes["faHouzz"] = "fa-houzz";
    EnumIconTypes["faVimeo"] = "fa-vimeo";
    EnumIconTypes["faBlackTie"] = "fa-black-tie";
    EnumIconTypes["faFonticons"] = "fa-fonticons";
    EnumIconTypes["faRedditAlien"] = "fa-reddit-alien";
    EnumIconTypes["faEdge"] = "fa-edge";
    EnumIconTypes["faCreditCardAlt"] = "fa-credit-card-alt";
    EnumIconTypes["faCodiepie"] = "fa-codiepie";
    EnumIconTypes["faModx"] = "fa-modx";
    EnumIconTypes["faFortAwesome"] = "fa-fort-awesome";
    EnumIconTypes["faUsb"] = "fa-usb";
    EnumIconTypes["faProductHunt"] = "fa-product-hunt";
    EnumIconTypes["faMixcloud"] = "fa-mixcloud";
    EnumIconTypes["faScribd"] = "fa-scribd";
    EnumIconTypes["faPauseCircle"] = "fa-pause-circle";
    EnumIconTypes["faPauseCircleO"] = "fa-pause-circle-o";
    EnumIconTypes["faStopCircle"] = "fa-stop-circle";
    EnumIconTypes["faStopCircleO"] = "fa-stop-circle-o";
    EnumIconTypes["faShoppingBag"] = "fa-shopping-bag";
    EnumIconTypes["faShoppingBasket"] = "fa-shopping-basket";
    EnumIconTypes["faHashtag"] = "fa-hashtag";
    EnumIconTypes["faBluetooth"] = "fa-bluetooth";
    EnumIconTypes["faBluetoothB"] = "fa-bluetooth-b";
    EnumIconTypes["faPercent"] = "fa-percent";
    EnumIconTypes["faGitlab"] = "fa-gitlab";
    EnumIconTypes["faWpbeginner"] = "fa-wpbeginner";
    EnumIconTypes["faWpforms"] = "fa-wpforms";
    EnumIconTypes["faEnvira"] = "fa-envira";
    EnumIconTypes["faUniversalAccess"] = "fa-universal-access";
    EnumIconTypes["faWheelchairAlt"] = "fa-wheelchair-alt";
    EnumIconTypes["faQuestionCircleO"] = "fa-question-circle-o";
    EnumIconTypes["faBlind"] = "fa-blind";
    EnumIconTypes["faAudioDescription"] = "fa-audio-description";
    EnumIconTypes["faVolumeControlPhone"] = "fa-volume-control-phone";
    EnumIconTypes["faBraille"] = "fa-braille";
    EnumIconTypes["faAssistiveListeningSystems"] = "fa-assistive-listening-systems";
    EnumIconTypes["faAslInterpreting"] = "fa-asl-interpreting";
    EnumIconTypes["faAmericanSignLanguageInterpreting"] = "fa-american-sign-language-interpreting";
    EnumIconTypes["faDeafness"] = "fa-deafness";
    EnumIconTypes["faHardOfHearing"] = "fa-hard-of-hearing";
    EnumIconTypes["faDeaf"] = "fa-deaf";
    EnumIconTypes["faGlide"] = "fa-glide";
    EnumIconTypes["faGlideG"] = "fa-glide-g";
    EnumIconTypes["faSigning"] = "fa-signing";
    EnumIconTypes["faSignLanguage"] = "fa-sign-language";
    EnumIconTypes["faLowVision"] = "fa-low-vision";
    EnumIconTypes["faViadeo"] = "fa-viadeo";
    EnumIconTypes["faViadeoSquare"] = "fa-viadeo-square";
    EnumIconTypes["faSnapchat"] = "fa-snapchat";
    EnumIconTypes["faSnapchatGhost"] = "fa-snapchat-ghost";
    EnumIconTypes["faSnapchatSquare"] = "fa-snapchat-square";
    EnumIconTypes["faPiedPiper"] = "fa-pied-piper";
    EnumIconTypes["faFirstOrder"] = "fa-first-order";
    EnumIconTypes["faYoast"] = "fa-yoast";
    EnumIconTypes["faThemeisle"] = "fa-themeisle";
    EnumIconTypes["faGooglePlusCircle"] = "fa-google-plus-circle";
    EnumIconTypes["faGooglePlusOfficial"] = "fa-google-plus-official";
    EnumIconTypes["faFa"] = "fa-fa";
    EnumIconTypes["faFontAwesome"] = "fa-font-awesome";
    EnumIconTypes["faHandshakeO"] = "fa-handshake-o";
    EnumIconTypes["faEnvelopeOpen"] = "fa-envelope-open";
    EnumIconTypes["faEnvelopeOpenO"] = "fa-envelope-open-o";
    EnumIconTypes["faLinode"] = "fa-linode";
    EnumIconTypes["faAddressBook"] = "fa-address-book";
    EnumIconTypes["faAddressBookO"] = "fa-address-book-o";
    EnumIconTypes["faVcard"] = "fa-vcard";
    EnumIconTypes["faAddressCard"] = "fa-address-card";
    EnumIconTypes["faVcardO"] = "fa-vcard-o";
    EnumIconTypes["faAddressCardO"] = "fa-address-card-o";
    EnumIconTypes["faUserCircle"] = "fa-user-circle";
    EnumIconTypes["faUserCircleO"] = "fa-user-circle-o";
    EnumIconTypes["faUserO"] = "fa-user-o";
    EnumIconTypes["faIdBadge"] = "fa-id-badge";
    EnumIconTypes["faDriversLicense"] = "fa-drivers-license";
    EnumIconTypes["faIdCard"] = "fa-id-card";
    EnumIconTypes["faDriversLicenseO"] = "fa-drivers-license-o";
    EnumIconTypes["faIdCardO"] = "fa-id-card-o";
    EnumIconTypes["faQuora"] = "fa-quora";
    EnumIconTypes["faFreeCodeCamp"] = "fa-free-code-camp";
    EnumIconTypes["faTelegram"] = "fa-telegram";
    EnumIconTypes["faThermometer4"] = "fa-thermometer-4";
    EnumIconTypes["faThermometer"] = "fa-thermometer";
    EnumIconTypes["faThermometerFull"] = "fa-thermometer-full";
    EnumIconTypes["faThermometer3"] = "fa-thermometer-3";
    EnumIconTypes["faThermometerThreeQuarters"] = "fa-thermometer-three-quarters";
    EnumIconTypes["faThermometer2"] = "fa-thermometer-2";
    EnumIconTypes["faThermometerHalf"] = "fa-thermometer-half";
    EnumIconTypes["faThermometer1"] = "fa-thermometer-1";
    EnumIconTypes["faThermometerQuarter"] = "fa-thermometer-quarter";
    EnumIconTypes["faThermometer0"] = "fa-thermometer-0";
    EnumIconTypes["faThermometerEmpty"] = "fa-thermometer-empty";
    EnumIconTypes["faShower"] = "fa-shower";
    EnumIconTypes["faBathtub"] = "fa-bathtub";
    EnumIconTypes["faS15"] = "fa-s15";
    EnumIconTypes["faBath"] = "fa-bath";
    EnumIconTypes["faPodcast"] = "fa-podcast";
    EnumIconTypes["faWindowMaximize"] = "fa-window-maximize";
    EnumIconTypes["faWindowMinimize"] = "fa-window-minimize";
    EnumIconTypes["faWindowRestore"] = "fa-window-restore";
    EnumIconTypes["faTimesRectangle"] = "fa-times-rectangle";
    EnumIconTypes["faWindowClose"] = "fa-window-close";
    EnumIconTypes["faTimesRectangleO"] = "fa-times-rectangle-o";
    EnumIconTypes["faWindowCloseO"] = "fa-window-close-o";
    EnumIconTypes["faBandcamp"] = "fa-bandcamp";
    EnumIconTypes["faGrav"] = "fa-grav";
    EnumIconTypes["faEtsy"] = "fa-etsy";
    EnumIconTypes["faImdb"] = "fa-imdb";
    EnumIconTypes["faRavelry"] = "fa-ravelry";
    EnumIconTypes["faEercast"] = "fa-eercast";
    EnumIconTypes["faMicrochip"] = "fa-microchip";
    EnumIconTypes["faSnowflakeO"] = "fa-snowflake-o";
    EnumIconTypes["faSuperpowers"] = "fa-superpowers";
    EnumIconTypes["faWpexplorer"] = "fa-wpexplorer";
    EnumIconTypes["faMeetup"] = "fa-meetup";
})(EnumIconTypes = exports.EnumIconTypes || (exports.EnumIconTypes = {}));
