"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Loading = void 0;
var elmer_ui_core_1 = require("elmer-ui-core");
require("./style.less");
var Loading = (function (_super) {
    __extends(Loading, _super);
    function Loading(props) {
        var _this = _super.call(this, props) || this;
        _this.type = "style1";
        _this.style1Visible = true;
        _this.style2Visible = false;
        _this.style3Visible = false;
        _this.style4Visible = false;
        _this.style5Visible = false;
        _this.style6Visible = false;
        _this.style7Visible = false;
        _this.style8Visible = false;
        _this.visible = true;
        _this.type = props.type || "style1";
        _this.visible = props.visible;
        _this.style1Visible = false;
        _this[_this.type + "Visible"] = true;
        return _this;
    }
    Loading.prototype.$onPropsChanged = function (newProps) {
        var updateState = {};
        if (!this.isEmpty(newProps.visible)) {
            updateState.visible = newProps.visible;
        }
        if (!this.isEmpty(newProps.type)) {
            this[newProps.type + "Visible"] = true;
        }
        this.setData(updateState);
    };
    Loading.prototype.render = function () {
        return require("./icon.html");
    };
    Loading.propType = {
        type: elmer_ui_core_1.propTypes.string,
        visible: elmer_ui_core_1.propTypes.boolean
    };
    Loading = __decorate([
        elmer_ui_core_1.declareComponent({
            selector: "LoadingIcon"
        }),
        __metadata("design:paramtypes", [Object])
    ], Loading);
    return Loading;
}(elmer_ui_core_1.Component));
exports.Loading = Loading;
