import { Component, IElmerEvent } from "elmer-ui-core";
import "./index.less";
export declare class MobileSelector extends Component {
    static propType: any;
    searchPlaceHolder: string;
    title: string;
    cancelText: string;
    okText: string;
    private visible;
    private isFirstRender;
    private domID;
    private contentID;
    private listID;
    private focustID;
    private maskShowAnimation;
    private contentShowAnimation;
    private maskHiddenAnimation;
    private contentHiddenAnimation;
    private onClose;
    private onOk;
    private onCancel;
    private data;
    private sourceData;
    private contentHeight;
    private itemHeight;
    private selectedIndexs;
    private displayIndexs;
    private isPressed;
    private isTouchEvent;
    private toTop;
    private checkedResult;
    private listWidth;
    private showSearch;
    private $;
    constructor(props: any);
    $onPropsChanged(newProps: any): void;
    $after(): void;
    render(): string;
    handleOnSearchTouch(event: IElmerEvent): void;
    handleOnSearchInputTouch(event: IElmerEvent): void;
    handleOnContentTouchStart(event: IElmerEvent): void;
    handleOnMaskTouchStart(event: IElmerEvent): void;
    handleOnSearchClick(event: Event): void;
    handleSearch(event: IElmerEvent): void;
    handleOnSearchKeyPress(event: IElmerEvent): void;
    handleOnCancelClick(): void;
    handleOnOkClick(): void;
    handleOnMaskClick(): void;
    handleOnContentClick(event: IElmerEvent): void;
    handleOnMaskAnimationEnd(event: AnimationEvent): void;
    handleOnListMouseDown(event: IElmerEvent): void;
    handleOnListPress(event: IElmerEvent): void;
    handleOnListMouseMove(event: IElmerEvent): void;
    handleOnListTouchMove(event: IElmerEvent): void;
    handleOnListMouseUp(event: MouseEvent, {}: any, target: any): void;
    handleOnListTouchEnd(event: IElmerEvent): void;
    private handleOnMoveEndEvent;
    private handleOnMoveEvent;
    private handleOnPressEvent;
    private scrollTo;
    private setVisible;
}
