"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var elmer_ui_core_1 = require("elmer-ui-core");
require("./index.less");
var OfficeSplitLayout = (function (_super) {
    __extends(OfficeSplitLayout, _super);
    function OfficeSplitLayout(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            hideLeft: false,
            leftTitle: "",
            rightTitle: ""
        };
        _this.state.leftTitle = props.leftTitle;
        _this.state.rightTitle = props.rightTitle;
        return _this;
    }
    OfficeSplitLayout.prototype.$onPropsChanged = function (props) {
        this.setState({
            leftTitle: props.leftTitle,
            rightTitle: props.rightTitle
        });
    };
    OfficeSplitLayout.prototype.handleOnShowHideClick = function () {
        this.setState({
            hideLeft: !this.state.hideLeft
        });
        typeof this.props.onLayoutChange === "function" && this.props.onLayoutChange();
    };
    OfficeSplitLayout.prototype.render = function () {
        return require("./index.html");
    };
    OfficeSplitLayout.propType = {
        leftTitle: {
            defaultValue: "菜单管理",
            description: "左侧面板标题",
            rule: elmer_ui_core_1.PropTypes.string.isRequired
        },
        rightTitle: {
            defaultValue: "显示内容",
            description: "右侧区域标题",
            rule: elmer_ui_core_1.PropTypes.string.isRequired
        }
    };
    OfficeSplitLayout = __decorate([
        elmer_ui_core_1.declareComponent({
            selector: "office-split-layout"
        }),
        __metadata("design:paramtypes", [Object])
    ], OfficeSplitLayout);
    return OfficeSplitLayout;
}(elmer_ui_core_1.Component));
exports.default = OfficeSplitLayout;
