"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definePropType = exports.createOfficeQuickButtons = exports.createOfficeFormTabMenu = void 0;
var elmer_ui_core_1 = require("elmer-ui-core");
var createOfficeFormTabMenu = function (config) {
    return config;
};
exports.createOfficeFormTabMenu = createOfficeFormTabMenu;
var createOfficeQuickButtons = function (config) {
    return config;
};
exports.createOfficeQuickButtons = createOfficeQuickButtons;
exports.definePropType = {
    title: {
        defaultValue: "Office Rubbon Application",
        rule: elmer_ui_core_1.PropTypes.string.isRequired
    },
    tabMenu: {
        description: "顶部tab菜单",
        defaultValue: exports.createOfficeFormTabMenu([{
                title: "测试菜单",
                menus: [
                    {
                        title: "文件",
                        buttons: [
                            {
                                title: "保存",
                                icon: "icon-save-large"
                            }, {
                                title: "图库",
                                icon: "icon-imglib-large"
                            }, {
                                title: "图库",
                                icon: "icon-imglib-large"
                            }
                        ]
                    }
                ]
            }, {
                title: "测试菜单2",
                menus: [{
                        title: "插件",
                        buttons: [
                            {
                                title: "进款",
                                icon: "icon-imglib-large"
                            }
                        ]
                    }]
            }]),
        rule: elmer_ui_core_1.PropTypes.array.isRequired
    },
    onClick: {
        description: "按钮点击事件",
        rule: elmer_ui_core_1.PropTypes.func
    },
    statusBarCol1: {
        description: "状态栏列1",
        defaultValue: "状态1",
        rule: elmer_ui_core_1.PropTypes.string
    },
    statusBarCol2: {
        description: "状态栏列2",
        defaultValue: "状态2",
        rule: elmer_ui_core_1.PropTypes.string
    },
    statusBarCol3: {
        description: "状态栏列3",
        defaultValue: "状态3",
        rule: elmer_ui_core_1.PropTypes.string
    },
    statusBarCol4: {
        description: "状态栏列4",
        defaultValue: "日期：2020-07-26",
        rule: elmer_ui_core_1.PropTypes.string
    },
    quickApps: {
        description: "快速启动按钮",
        defaultValue: exports.createOfficeQuickButtons([
            {
                title: "保存",
                icon: "icon-save-samll"
            }, {
                title: "图片",
                icon: "icon-undo-samll"
            }, {
                title: "文件浏览",
                icon: "icon-computer-samll"
            }, {
                title: "用户信息",
                icon: "icon-user-samll"
            }
        ]),
        rule: elmer_ui_core_1.PropTypes.array.isRequired
    }
};
