import { Component, IElmerEvent, IElmerMouseEvent } from "elmer-ui-core";
import { TypeOfficeFormProps, TypeOfficeFormState } from "./TypeFormAttr";
import "./index.less";
declare type TypeMousePoint = {
    x?: number;
    y?: number;
};
export default class Form extends Component {
    static propType: any;
    state: TypeOfficeFormState;
    tabMenuId: string;
    isTabMenuPress?: boolean;
    mousePoint: TypeMousePoint;
    tabMenuParent: HTMLUListElement;
    tabScrollLeft: number;
    tabScrollWidth: number;
    props: TypeOfficeFormProps;
    private $;
    constructor(props: TypeOfficeFormProps);
    handleOnMenuButtonMouseDown(evt: IElmerEvent): void;
    handleOnQuickAppClick(evt: IElmerEvent): void;
    handleOnHeaderButtonClick(evt: IElmerMouseEvent): void;
    handleOnStartClick(evt: IElmerMouseEvent): void;
    handleOnTabMenuButtonClick(evt: IElmerEvent): void;
    handleOnTabMenuMouseDown(evt: IElmerMouseEvent): void;
    handleOnTabMenuMouseMove(evt: IElmerMouseEvent): void;
    handleOnBodyMouseUp(): void;
    handleOnTabClick(evt: IElmerEvent): void;
    $didMount(): void;
    render(): any;
    private updateTabMenuState;
}
export {};
