import { Component, IElmerEvent } from "elmer-ui-core";
import "./index.less";
declare type PagerProps = {
    onChange: Function;
    theme: string;
    totalCount: number;
    page: number;
    pageSize: number;
    summeryVisible: boolean;
};
export declare class PagerComponent extends Component<PagerProps> {
    static propType: any;
    nextPage: number;
    prevPage: number;
    pageList: any[];
    pageCount: number;
    allCount: number;
    page: number;
    theme: string;
    private pageSize;
    constructor(props: any);
    $onPropsChanged(props: any): void;
    initData(updateData?: boolean): void;
    onFirstClick(): void;
    onLastClick(): void;
    onChangeItem(evt: IElmerEvent): void;
    onGotoNextPage(evt: IElmerEvent): void;
    render(): string;
}
export {};
