"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RunCodeComponent = void 0;
var elmer_ui_core_1 = require("elmer-ui-core");
var RunCodeComponent = (function (_super) {
    __extends(RunCodeComponent, _super);
    function RunCodeComponent(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            htmlCode: ""
        };
        _this.state.htmlCode = props.code;
        _this.owner = props.owner;
        if (props.showProps) {
            console.log("RunCode Component Props: ", props);
        }
        return _this;
    }
    RunCodeComponent.prototype.help = function () {
        console.log(this.props);
    };
    RunCodeComponent.prototype.$onPropsChanged = function (props, oldProp) {
        if (props.code !== this.state.htmlCode) {
            this.setState({
                htmlCode: props.code
            });
        }
        else {
            if (!this.isEqual(props, oldProp)) {
                this.setState({}, true);
            }
        }
    };
    RunCodeComponent.prototype.render = function () {
        if (/^\s*\<[a-z0-9\-\_]{1,}/i.test(this.state.htmlCode)) {
            return this.state.htmlCode;
        }
        else {
            throw new Error("不支持的htmlCode: " + this.state.htmlCode);
        }
    };
    RunCodeComponent.propType = {
        code: {
            description: "运行代码",
            rule: elmer_ui_core_1.propTypes.string
        },
        owner: {
            description: "事件执行绑定对象",
            rule: elmer_ui_core_1.propTypes.any
        },
        showProps: {
            description: "打印传入的props",
            rule: elmer_ui_core_1.propTypes.bool
        }
    };
    RunCodeComponent = __decorate([
        elmer_ui_core_1.declareComponent({
            selector: "RunCode"
        }),
        __metadata("design:paramtypes", [Object])
    ], RunCodeComponent);
    return RunCodeComponent;
}(elmer_ui_core_1.Component));
exports.RunCodeComponent = RunCodeComponent;
