"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SectionComponent = void 0;
var elmer_ui_core_1 = require("elmer-ui-core");
require("./index.less");
var SectionComponent = (function (_super) {
    __extends(SectionComponent, _super);
    function SectionComponent(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            theme: "",
            title: "",
            hasTitle: "",
            style: ""
        };
        _this.state.theme = props.theme || "";
        _this.state.style = !_this.isEmpty(props.style) ? props.style : "";
        return _this;
    }
    SectionComponent.prototype.$onPropsChanged = function (props) {
        this.setState({
            theme: props.theme,
            style: !this.isEmpty(props.style) ? props.style : ""
        });
    };
    SectionComponent.prototype.render = function () {
        return "<div style=\"{{state.style}}\" class=\"eui-section {{state.theme}}\">\n                <div><content /></div>\n            </div>";
    };
    SectionComponent.propType = {
        theme: {
            description: "样式",
            rule: elmer_ui_core_1.propTypes.string
        },
        style: {
            description: "样式",
            rule: elmer_ui_core_1.propTypes.string
        },
        title: {
            description: "标题",
            rule: elmer_ui_core_1.propTypes.string
        }
    };
    SectionComponent = __decorate([
        elmer_ui_core_1.declareComponent({
            selector: "section"
        }),
        __metadata("design:paramtypes", [Object])
    ], SectionComponent);
    return SectionComponent;
}(elmer_ui_core_1.Component));
exports.SectionComponent = SectionComponent;
