import { Component, IElmerEvent, IPropCheckRule } from "elmer-ui-core";
import { IVirtualElement } from "elmer-virtual-dom";
import "./index.less";
declare type TypeTabBarProps = {
    onChange?: Function;
    onBeforeChange?: Function;
    currentIndex?: number;
    children?: IVirtualElement[];
    visible?: boolean;
};
declare type TypeTabBarPropsRule = {
    [P in keyof TypeTabBarProps]: IPropCheckRule;
};
export declare class TabBar extends Component {
    static propType: TypeTabBarPropsRule;
    index: number;
    tabTitle: any[];
    currentIndex: any;
    props: TypeTabBarProps;
    constructor(props: any);
    getChildContext(): any;
    setIndex(index: number): void;
    handleOnTabClick(evt: IElmerEvent): void;
    render(): string;
    $before(): void;
    $onPropsChanged(newProps: any): void;
    switchTab(tabIndex: number): void;
}
export {};
