export * from "./Toast";
export interface IToastOption {
    autoClose?: boolean;
    elmerRender?: object | null;
    theme?: string;
    icon?: "Error" | "Success" | "None";
    onClose?: Function;
    duration?: number;
    showAnimation?: string;
    closeAnimation?: string;
    visible?: boolean;
    timeVisible?: boolean;
    iconVisible?: boolean;
    zIndex?: number;
}
export declare const showToast: (message: string, exOptions?: IToastOption) => void;
