"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var elmer_ui_core_1 = require("elmer-ui-core");
elmer_ui_core_1.defineGlobalConfiguration({
    router: {
        service: {
            common: {
                onBefore: function (evt) {
                    console.log(evt);
                    return true;
                }
            },
            config: {
                AppBlog: {
                    baseUrl: "http://localhost:3000/assets",
                    dummy: true,
                    dummyPath: "http://localhost:3000/assets/dummy/",
                    endPoints: {
                        swaperList: {
                            url: "swapper/home",
                            type: "GET",
                            dummy: "swapperHome.json",
                            uri: {
                                pageSize: 10,
                                token: "c1aaa7ce-8921-d8bd-4b63-0adaf1c1"
                            },
                            options: {
                                path: "/",
                                reduxActionType: "REDUX_ACTION_LOGIN_CONFIG_HOME"
                            },
                            payload: {
                                token: "aaaxxx--xxd-ff-fss",
                                userId: "string--number"
                            }
                        },
                        list: {
                            url: "bb",
                            type: "GET",
                            dummy: "swapperHome.json",
                            options: {
                                path: "/",
                                reduxActionType: "REDUX_ACTION_LOGIN_BB"
                            }
                        },
                        loginBack: {
                            url: "login/back",
                            type: "GET",
                            dummy: "loginConfig.json",
                            options: {
                                path: "/login",
                                reduxActionType: "REDUX_ACTION_LOGIN_CONFIG"
                            }
                        }
                    }
                }
            }
        }
    },
    service: {
        common: {
            onError: function (err) {
                console.log(err);
                return true;
            }
        },
        config: {
            Blog: {
                baseUrl: "http://localhost/",
                dummy: false,
                endPoints: {
                    login: {
                        url: "aax",
                        options: {
                            path: "demo version"
                        }
                    }
                },
                envUrls: ""
            },
        }
    },
    i18n: {
        locale: "enGB",
        data: {
            "enGB": {
                aa: "aaaxx"
            }
        }
    }
});
elmer_ui_core_1.appServiceConfig.setServiceRequstConfig("Blog", "homeCategory", {
    url: "admin/list",
    type: "GET",
    dummy: "sss"
});
