"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DesktopSetting = void 0;
var elmer_ui_core_1 = require("elmer-ui-core");
require("../settingConfig/SettingConfig");
var userList_1 = require("../userList");
var menuData = [
    { title: "用户分组", id: "2", icon: "fa-vcard", url: "<eui-admin-user-group data='{{props.data}}'/>" },
    { title: "用户管理", id: "3", icon: "fa-user-circle", url: "<SettingUserList data='{{props.data}}'/>" },
];
var DesktopSetting = (function (_super) {
    __extends(DesktopSetting, _super);
    function DesktopSetting() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            menuList: menuData,
            menuWidth: 200,
            menuExpand: true,
            defaultMenuItem: menuData[0],
            selectedMenuData: menuData[0]
        };
        return _this;
    }
    DesktopSetting.prototype.handleOnMenuChange = function (evt) {
        this.setState({
            selectedMenuData: evt.data
        });
    };
    DesktopSetting.prototype.handleOnMenuExpandChange = function (evt) {
        if (evt.data) {
            this.setState({
                menuExpand: true,
                menuWidth: 200
            });
        }
        else {
            this.setState({
                menuExpand: false,
                menuWidth: 60
            });
        }
    };
    DesktopSetting = __decorate([
        elmer_ui_core_1.declareComponent({
            selector: "desktopSetting",
            template: {
                url: "./index.html",
                fromLoader: true
            },
            components: [
                {
                    selector: "SettingUserList",
                    component: userList_1.default
                }
            ]
        })
    ], DesktopSetting);
    return DesktopSetting;
}(elmer_ui_core_1.Component));
exports.DesktopSetting = DesktopSetting;
