import { Common } from "elmer-common";
import { IBackgroundPlugin } from "../IBackgroundPlugin";
export declare class PictureBackground extends Common implements IBackgroundPlugin {
    canvas: HTMLCanvasElement;
    cvt: CanvasRenderingContext2D;
    private width;
    private height;
    private imageLink;
    private image;
    private blur;
    private fillBackColor;
    constructor(cav: HTMLCanvasElement, props: any);
    init(): void;
    dispose(): void;
    onPropsChange(props: any): void;
    draw(tim?: number): void;
    resize(wWidth?: number, wHeight?: number): void;
    private fillBack;
    private downloadImage;
    private drawBlur;
    private gaussBlur;
}
