import { Component, IElmerEvent, IPropCheckRule } from "elmer-ui-core";
import "./css/css.css";
import "./css/index.less";
declare type TypeWebAdminPropRule = {
    menuList: IPropCheckRule;
};
declare type TypeWebAdminProps = {
    [P in keyof TypeWebAdminPropRule]: any;
};
declare type TypeWebAdminState = {
    hideMenu?: boolean;
    openMenuList: any[];
    defaultOpenMenu?: any;
};
export default class WebAdmin extends Component {
    static propType: TypeWebAdminPropRule;
    state: TypeWebAdminState;
    props: TypeWebAdminProps;
    private mainMenu;
    private sessionDataID;
    constructor(props: TypeWebAdminProps);
    handleOnCloseTab(data: any): void;
    handleOnTopMenuClick(data: any): void;
    handleOnLeftMenuClick(evt: IElmerEvent): void;
    handleOnMenuSwitchClick(hideMenu: boolean): void;
    private openMenu;
    private getLastOpenMenu;
}
export {};
