import { Component, IElmerEvent, IPropCheckRule } from "elmer-ui-core";
declare type TypeWebAdminLeftMenuPropRule = {
    data: IPropCheckRule;
    onSwitchClick: IPropCheckRule;
    onClick: IPropCheckRule;
};
declare type TypeWebAdminLeftMenuProps = {
    [P in keyof TypeWebAdminLeftMenuPropRule]: any;
};
declare type TypeWebAdminLeftMenuState = {
    hideMenu: boolean;
    menuData: any[];
    selectMenu: any;
    selectSubMenu: any;
};
export default class WebAdminLeftMenu extends Component {
    static propType: TypeWebAdminLeftMenuPropRule;
    props: TypeWebAdminLeftMenuProps;
    state: TypeWebAdminLeftMenuState;
    private sessionDataID;
    private selectMenuChange;
    private $;
    constructor(props: TypeWebAdminLeftMenuProps);
    $after(): void;
    handleOnMenuClick(evt: IElmerEvent): void;
    handleOnSwitchBarClick(): void;
    handleOnMenuItemClick(evt: IElmerEvent): void;
    render(): any;
    private showHideMenu;
}
export {};
