import { Component, IElmerEvent, IPropCheckRule } from "elmer-ui-core";
declare type TypeWebAdminTopPropRule = {
    menuList: IPropCheckRule;
    onChange: IPropCheckRule;
    companyName: IPropCheckRule;
    systemName: IPropCheckRule;
    onLoginout: IPropCheckRule;
    loginoutName: IPropCheckRule;
    adminHome: IPropCheckRule;
    onAdminHome: IPropCheckRule;
    systemHome: IPropCheckRule;
    selectedMenu: IPropCheckRule;
    onSystemHome: IPropCheckRule;
    onClose: IPropCheckRule;
};
declare type TypeWebAdminTopProps = {
    [P in keyof TypeWebAdminTopPropRule]: any;
};
declare type TypeWebAdminTopState = {
    [P in keyof TypeWebAdminTopPropRule]?: any;
} & {
    selectedMenu: any;
};
export default class WebAdminTop extends Component {
    static propType: TypeWebAdminTopPropRule;
    props: TypeWebAdminTopProps;
    state: TypeWebAdminTopState;
    scrollIndex: number;
    position: number;
    private sessionDataID;
    private $;
    constructor(props: TypeWebAdminTopProps);
    handleOnCloseClick(): void;
    $onPropsChanged(props: TypeWebAdminTopProps): void;
    handleOnMenuItemClick(evt: IElmerEvent): void;
    handleOnScollTopClick(): void;
    handleOnScollBottomClick(): void;
    render(): any;
    private getScrollMaxLine;
    private getMenuItemHeight;
    private getScrollHeight;
}
export {};
