"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var elmer_ui_core_1 = require("elmer-ui-core");
var RouterService_1 = require("elmer-ui-core/lib/widget/router/RouterService");
var main_1 = require("../../webAdmin/main");
var WebAdminContainer = (function (_super) {
    __extends(WebAdminContainer, _super);
    function WebAdminContainer(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            visible: false,
            routeUrl: "/"
        };
        _this.state.visible = props.visible;
        _this.state.data = props.data;
        _this.state.routeUrl = _this.getValue(_this.props, "data.data.component");
        if (_this.isEmpty(_this.getValue(props.data, "data.hashRouter"))) {
            _this.state.data.data.hashRouter = false;
        }
        return _this;
    }
    WebAdminContainer.prototype.$onPropsChanged = function (props) {
        var updateState = {};
        if (this.state.visible !== props.visible) {
            updateState.visible = props.visible;
        }
        if (!this.isEqual(this.state.data, props.data)) {
            updateState.data = props.data;
        }
        this.setState(updateState);
    };
    WebAdminContainer.propType = {
        data: {
            description: "定义的数据",
            rule: elmer_ui_core_1.PropTypes.any.isRequired
        },
        id: {
            description: "定义绑定ID",
            rule: elmer_ui_core_1.PropTypes.oneOf([elmer_ui_core_1.PropTypes.string, elmer_ui_core_1.PropTypes.number]).isRequired
        },
        visible: {
            defaultValue: true,
            description: "显示隐藏",
            rule: elmer_ui_core_1.PropTypes.bool.isRequired
        },
        className: {
            defaultValue: "",
            rule: elmer_ui_core_1.PropTypes.string
        },
        style: {
            defaultValue: "",
            rule: elmer_ui_core_1.PropTypes.string
        },
        prefixPath: {
            defaultValue: "",
            rule: elmer_ui_core_1.PropTypes.string
        }
    };
    WebAdminContainer = __decorate([
        elmer_ui_core_1.declareComponent({
            selector: "WebadminContainer",
            components: [
                {
                    selector: "WebAdminMain",
                    component: main_1.default
                }
            ],
            model: {
                checkRoute: RouterService_1.RouterService
            },
            template: {
                url: "./container.html",
                fromLoader: true
            }
        }),
        __metadata("design:paramtypes", [Object])
    ], WebAdminContainer);
    return WebAdminContainer;
}(elmer_ui_core_1.Component));
exports.default = WebAdminContainer;
