import { Component, IElmerEvent, IPropCheckRule } from "elmer-ui-core";
import { DesktopApp, TypeStartMenu } from "../DesktopApp";
declare type TypeWinStartmenuProps = {
    data: any;
    onClick: Function;
    onOutClick: Function;
    theme: string;
    menuList: any[];
    quickStartList: any[];
    visible: boolean;
    showAnimation: boolean;
};
declare type TypeWinStartmenuPropsRule = {
    [P in keyof TypeWinStartmenuProps]?: IPropCheckRule;
};
declare type TypeWinStartmenuState = {
    data: DesktopApp[];
    leftSideData: DesktopApp[];
    menuList: TypeStartMenu[];
    activeGroupId: string | number;
    visible: boolean;
    showAnimation: string;
    theme: string;
    quickStartList: any;
};
export declare class WinStartmenuComponent extends Component<TypeWinStartmenuProps> {
    static propType: TypeWinStartmenuPropsRule;
    state: TypeWinStartmenuState;
    constructor(props: {
        [P in keyof TypeWinStartmenuProps]: any;
    });
    $onPropsChanged(props: {
        [P in keyof TypeWinStartmenuProps]: any;
    }): void;
    $after(): void;
    handleOnMenuGroupClick(evt: IElmerEvent): void;
    handleOnMenuItemClick(evt: IElmerEvent): void;
    handleOnLeftSideClick(evt: IElmerEvent): void;
    handleOnMenuClick(evt: IElmerEvent): void;
    handleOnBodyClick(): void;
    render(): any;
}
export {};
