"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.testReducer = exports.loginReducer = void 0;
var elmer_ui_core_1 = require("elmer-ui-core");
var actions_1 = require("./actions");
var initState = {
    loginConfig: {}
};
var loginReducer = function (state, action) {
    if (state === void 0) { state = initState; }
    switch (action.type) {
        case actions_1.REDUX_ACTION_LOGIN_CONFIG: {
            return __assign(__assign(__assign({}, initState), state), { loginConfig: action.data || {} });
        }
    }
    return state;
};
exports.loginReducer = loginReducer;
var testReducer = function () {
    return {
        title: "demo",
        purpers: "for dev"
    };
};
exports.testReducer = testReducer;
elmer_ui_core_1.redux.createReducer(elmer_ui_core_1.getGlobalState, elmer_ui_core_1.defineGlobalState, "home.news", function (state, action) {
    var updateState;
    switch (action.type) {
        case "REDUX_ACTION_LOGIN_CONFIG_HOME": {
            updateState = action.data;
            break;
        }
    }
    return __assign({ title: "defineByCreate" }, (updateState || {}));
});
