import { IPropCheckRule } from "elmer-ui-core";
export declare const CODE_EDITOR_PLUGIN_CONFIG_KEY = "__CODE_EDITOR_PLUGIN_CONFIG_KEY__";
export declare const CODE_COMMENT_MODE_LINE = "LINE_COMMENT";
export declare const CODE_COMMENT_MODE_AREA = "MUTIL_LINE_COMMENT";
export declare type TypeCodeEditorProps = {
    lineHeight?: number;
    text?: string;
    isEdit?: boolean;
    language?: string;
};
export declare type TypeCodeEditorPropsRule = {
    [P in keyof TypeCodeEditorProps]?: IPropCheckRule;
};
export declare type TypeCodeEditorLineProps = {
    data: any[];
    lineHeight: number;
    onLineClick?: Function;
};
export declare type TypeCodeEditorLinePropsRule = {
    [P in keyof TypeCodeEditorLineProps]?: IPropCheckRule;
};
export declare type TypeCodeEditorLineData = {
    index?: number;
    source?: string;
    display?: string;
};
