import { Component, IElmerEvent } from "elmer-ui-core";
declare type TypeUploadComponentProps = {
    theme: string;
    style: string;
    listType: any;
    multi: boolean;
    domain: string;
    action: string;
    formName: string;
    handleSuccess: Function;
    handleFail: Function;
    accept: string;
    valueName: string;
    fileList: any[];
};
export declare class UploadComponent extends Component<TypeUploadComponentProps> {
    static propType: any;
    state: any;
    theme: string;
    private fileTypeIcons;
    private fileID;
    private defaultFileList;
    constructor(props: any);
    $inject(): void;
    updateDefaultFileList(refresh?: boolean): void;
    $onPropsChanged(newProps: any): void;
    handleOnUploadClick(): void;
    handleOnFileChanged(evt: IElmerEvent): void;
    getData(): any;
    reset(): void;
    render(): string;
    private calcFileSize;
    private getFileTypeIcon;
}
export {};
