import { Component, IElmerEvent, IPropCheckRule } from "elmer-ui-core";
import { IAdminMenuData } from "./IAdminMenuData";
import "./index.less";
declare type TypeAdminMenuProps = {
    disabled: boolean;
    theme: string;
    isExpand: boolean;
    style: string;
    onChange: Function;
    onModeChange: Function;
    onClick: Function;
    data: any;
    selectedData: any;
};
declare type TypeAdminMenuPropsRules = {
    [P in keyof TypeAdminMenuProps]: IPropCheckRule;
};
declare type TypeAdminMenuState = {
    hasTitle: boolean;
    icon: string;
    expandIcon: string;
    collapseIcon: string;
    data: IAdminMenuData[];
    selectedData: IAdminMenuData;
    hasExpand: boolean;
};
export declare class AdminMenuComponent extends Component<TypeAdminMenuProps> {
    static propType: TypeAdminMenuPropsRules;
    state: TypeAdminMenuState;
    constructor(props: {
        [P in keyof TypeAdminMenuProps]: any;
    });
    handleOnItemClick(evt: IElmerEvent): void;
    handleOnSubItemClick(evt: IElmerEvent): void;
    handleOnExpandClick(evt: IElmerEvent): void;
    $onPropsChanged(props: {
        [P in keyof TypeAdminMenuProps]: any;
    }): void;
    handleOnClick(evt: any): void;
    render(): string;
    private getMenuData;
}
export {};
