import { Component, ElmerDOM } from "elmer-ui-core";
import "./style/form.less";
declare type DialogFormState = {
    isMoved: boolean;
    isPressed: boolean;
    isMax: boolean;
    isClosing: boolean;
    mouseX: number;
    mouseY: number;
    formDom: HTMLElement;
    maxDom: HTMLElement;
    titleDom: HTMLElement;
    contentDom: HTMLElement;
    bottomDom: HTMLElement;
    formLeft: number;
    formTop: number;
    formWidth: number;
    formHeight: number;
    zIndex: number;
};
export declare class DialogForm extends Component {
    static propType: any;
    state: DialogFormState;
    formStyle: string;
    visible: boolean;
    icon: string;
    width: string;
    height: string;
    maskClassName: string;
    noMaskClassName: string;
    maxClassName: string;
    showAnimation: string;
    hidenAnimation: string;
    minAnimation: string;
    formAnimation: string;
    contentStyle: string;
    ownerID: string;
    formID: string;
    maxID: string;
    titleID: string;
    contentID: string;
    bottomID: string;
    showFrom: boolean;
    animationEndType: string;
    maxTheme: string;
    $: ElmerDOM;
    constructor(props: any);
    $onPropsChanged(props: any): void;
    $after(): void;
    show(): void;
    onMaxClick(): void;
    onMinClick(): void;
    formAnimationEnd(): void;
    btnClose(): void;
    ontitleBarMouseDown(evt: any): void;
    onbodyMouseMove(evt: MouseEvent | TouchEvent): void;
    onbodyMouseUp(): void;
    render(): string;
    private getFormSizeStyle;
}
export {};
