import { Component, IElmerEvent, IPropCheckRule } from "elmer-ui-core";
import "./style.less";
declare type TypeDropDownPropsCheckRule = {
    id: IPropCheckRule;
    name: IPropCheckRule;
    disabled: IPropCheckRule;
    theme: IPropCheckRule;
    value: IPropCheckRule;
    data: IPropCheckRule;
    placeholder: IPropCheckRule;
    tabIndex: IPropCheckRule;
    zIndex: IPropCheckRule;
    onChanged?: IPropCheckRule;
    onChange: IPropCheckRule;
    style: IPropCheckRule;
    showValue: IPropCheckRule;
    tag: any;
};
declare type TypeDropDownProps = {
    [P in keyof TypeDropDownPropsCheckRule]: any;
};
export declare class ElmerDropDown extends Component {
    static propType: TypeDropDownPropsCheckRule;
    state: any;
    props: TypeDropDownProps;
    constructor(props: TypeDropDownProps);
    getData(): any;
    reset(): any;
    checkIconVisible(itemData: any): string;
    handleOnBlur(): void;
    handleOnClick(): void;
    handleOnListClick(evt: IElmerEvent): void;
    handleOnListItemClick(evt: IElmerEvent): void;
    $onPropsChanged(props: any): void;
    render(): string;
}
export {};
