"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Icon = void 0;
var elmer_ui_core_1 = require("elmer-ui-core");
var iconTypes_1 = require("./iconTypes");
var Icon = (function (_super) {
    __extends(Icon, _super);
    function Icon(props) {
        var _this = _super.call(this, props) || this;
        _this.iconTheme = iconTypes_1.iconTypes[0];
        _this.iconTheme = props.type || iconTypes_1.iconTypes[0];
        return _this;
    }
    Icon.prototype.$onPropsChanged = function (newProps) {
        this.setData({
            iconTheme: newProps.type || ""
        });
    };
    Icon.prototype.handleOnClick = function () {
        typeof this.props.onClick === "function" && this.props.onClick();
    };
    Icon.prototype.render = function () {
        return "<i et:click='handleOnClick' class='fa {{iconTheme}} {{props.theme}}'></i>";
    };
    Icon.propTypes = {
        type: {
            defaultValue: iconTypes_1.iconTypes[0],
            description: "图标类型",
            propertyKey: "iconTheme",
            rule: elmer_ui_core_1.propTypes.oneValueOf(iconTypes_1.iconTypes)
        },
        theme: {
            defaultValue: "",
            description: "类名",
            rule: elmer_ui_core_1.propTypes.string
        },
        onClick: {
            description: "单击事件",
            rule: elmer_ui_core_1.propTypes.func
        }
    };
    Icon = __decorate([
        elmer_ui_core_1.declareComponent({
            selector: "icon"
        }),
        __metadata("design:paramtypes", [Object])
    ], Icon);
    return Icon;
}(elmer_ui_core_1.Component));
exports.Icon = Icon;
