export declare const iconTypes: string[];
export declare enum EnumIconTypes {
    faGlass = "fa-glass",
    faMusic = "fa-music",
    faSearch = "fa-search",
    faEnvelopeO = "fa-envelope-o",
    faHeart = "fa-heart",
    faStar = "fa-star",
    faStarO = "fa-star-o",
    faUser = "fa-user",
    faFilm = "fa-film",
    faThLarge = "fa-th-large",
    faTh = "fa-th",
    faThList = "fa-th-list",
    faCheck = "fa-check",
    faRemove = "fa-remove",
    faClose = "fa-close",
    faTimes = "fa-times",
    faSearchPlus = "fa-search-plus",
    faSearchMinus = "fa-search-minus",
    faPowerOff = "fa-power-off",
    faSignal = "fa-signal",
    faGear = "fa-gear",
    faCog = "fa-cog",
    faTrashO = "fa-trash-o",
    faHome = "fa-home",
    faFileO = "fa-file-o",
    faClockO = "fa-clock-o",
    faRoad = "fa-road",
    faDownload = "fa-download",
    faArrowCircleODown = "fa-arrow-circle-o-down",
    faArrowCircleOUp = "fa-arrow-circle-o-up",
    faInbox = "fa-inbox",
    faPlayCircleO = "fa-play-circle-o",
    faRotateRight = "fa-rotate-right",
    faRepeat = "fa-repeat",
    faRefresh = "fa-refresh",
    faListAlt = "fa-list-alt",
    faLock = "fa-lock",
    faFlag = "fa-flag",
    faHeadphones = "fa-headphones",
    faVolumeOff = "fa-volume-off",
    faVolumeDown = "fa-volume-down",
    faVolumeUp = "fa-volume-up",
    faQrcode = "fa-qrcode",
    faBarcode = "fa-barcode",
    faTag = "fa-tag",
    faTags = "fa-tags",
    faBook = "fa-book",
    faBookmark = "fa-bookmark",
    faPrint = "fa-print",
    faCamera = "fa-camera",
    faFont = "fa-font",
    faBold = "fa-bold",
    faItalic = "fa-italic",
    faTextHeight = "fa-text-height",
    faTextWidth = "fa-text-width",
    faAlignLeft = "fa-align-left",
    faAlignCenter = "fa-align-center",
    faAlignRight = "fa-align-right",
    faAlignJustify = "fa-align-justify",
    faList = "fa-list",
    faDedent = "fa-dedent",
    faOutdent = "fa-outdent",
    faIndent = "fa-indent",
    faVideoCamera = "fa-video-camera",
    faPhoto = "fa-photo",
    faImage = "fa-image",
    faPictureO = "fa-picture-o",
    faPencil = "fa-pencil",
    faMapMarker = "fa-map-marker",
    faAdjust = "fa-adjust",
    faTint = "fa-tint",
    faEdit = "fa-edit",
    faPencilSquareO = "fa-pencil-square-o",
    faShareSquareO = "fa-share-square-o",
    faCheckSquareO = "fa-check-square-o",
    faArrows = "fa-arrows",
    faStepBackward = "fa-step-backward",
    faFastBackward = "fa-fast-backward",
    faBackward = "fa-backward",
    faPlay = "fa-play",
    faPause = "fa-pause",
    faStop = "fa-stop",
    faForward = "fa-forward",
    faFastForward = "fa-fast-forward",
    faStepForward = "fa-step-forward",
    faEject = "fa-eject",
    faChevronLeft = "fa-chevron-left",
    faChevronRight = "fa-chevron-right",
    faPlusCircle = "fa-plus-circle",
    faMinusCircle = "fa-minus-circle",
    faTimesCircle = "fa-times-circle",
    faCheckCircle = "fa-check-circle",
    faQuestionCircle = "fa-question-circle",
    faInfoCircle = "fa-info-circle",
    faCrosshairs = "fa-crosshairs",
    faTimesCircleO = "fa-times-circle-o",
    faCheckCircleO = "fa-check-circle-o",
    faBan = "fa-ban",
    faArrowLeft = "fa-arrow-left",
    faArrowRight = "fa-arrow-right",
    faArrowUp = "fa-arrow-up",
    faArrowDown = "fa-arrow-down",
    faMailForward = "fa-mail-forward",
    faShare = "fa-share",
    faExpand = "fa-expand",
    faCompress = "fa-compress",
    faPlus = "fa-plus",
    faMinus = "fa-minus",
    faAsterisk = "fa-asterisk",
    faExclamationCircle = "fa-exclamation-circle",
    faGift = "fa-gift",
    faLeaf = "fa-leaf",
    faFire = "fa-fire",
    faEye = "fa-eye",
    faEyeSlash = "fa-eye-slash",
    faWarning = "fa-warning",
    faExclamationTriangle = "fa-exclamation-triangle",
    faPlane = "fa-plane",
    faCalendar = "fa-calendar",
    faRandom = "fa-random",
    faComment = "fa-comment",
    faMagnet = "fa-magnet",
    faChevronUp = "fa-chevron-up",
    faChevronDown = "fa-chevron-down",
    faRetweet = "fa-retweet",
    faShoppingCart = "fa-shopping-cart",
    faFolder = "fa-folder",
    faFolderOpen = "fa-folder-open",
    faArrowsV = "fa-arrows-v",
    faArrowsH = "fa-arrows-h",
    faBarChartO = "fa-bar-chart-o",
    faBarChart = "fa-bar-chart",
    faTwitterSquare = "fa-twitter-square",
    faFacebookSquare = "fa-facebook-square",
    faCameraRetro = "fa-camera-retro",
    faKey = "fa-key",
    faGears = "fa-gears",
    faCogs = "fa-cogs",
    faComments = "fa-comments",
    faThumbsOUp = "fa-thumbs-o-up",
    faThumbsODown = "fa-thumbs-o-down",
    faStarHalf = "fa-star-half",
    faHeartO = "fa-heart-o",
    faSignOut = "fa-sign-out",
    faLinkedinSquare = "fa-linkedin-square",
    faThumbTack = "fa-thumb-tack",
    faExternalLink = "fa-external-link",
    faSignIn = "fa-sign-in",
    faTrophy = "fa-trophy",
    faGithubSquare = "fa-github-square",
    faUpload = "fa-upload",
    faLemonO = "fa-lemon-o",
    faPhone = "fa-phone",
    faSquareO = "fa-square-o",
    faBookmarkO = "fa-bookmark-o",
    faPhoneSquare = "fa-phone-square",
    faTwitter = "fa-twitter",
    faFacebookF = "fa-facebook-f",
    faFacebook = "fa-facebook",
    faGithub = "fa-github",
    faUnlock = "fa-unlock",
    faCreditCard = "fa-credit-card",
    faFeed = "fa-feed",
    faRss = "fa-rss",
    faHddO = "fa-hdd-o",
    faBullhorn = "fa-bullhorn",
    faBell = "fa-bell",
    faCertificate = "fa-certificate",
    faHandORight = "fa-hand-o-right",
    faHandOLeft = "fa-hand-o-left",
    faHandOUp = "fa-hand-o-up",
    faHandODown = "fa-hand-o-down",
    faArrowCircleLeft = "fa-arrow-circle-left",
    faArrowCircleRight = "fa-arrow-circle-right",
    faArrowCircleUp = "fa-arrow-circle-up",
    faArrowCircleDown = "fa-arrow-circle-down",
    faGlobe = "fa-globe",
    faWrench = "fa-wrench",
    faTasks = "fa-tasks",
    faFilter = "fa-filter",
    faBriefcase = "fa-briefcase",
    faArrowsAlt = "fa-arrows-alt",
    faGroup = "fa-group",
    faUsers = "fa-users",
    faChain = "fa-chain",
    faLink = "fa-link",
    faCloud = "fa-cloud",
    faFlask = "fa-flask",
    faCut = "fa-cut",
    faScissors = "fa-scissors",
    faCopy = "fa-copy",
    faFilesO = "fa-files-o",
    faPaperclip = "fa-paperclip",
    faSave = "fa-save",
    faFloppyO = "fa-floppy-o",
    faSquare = "fa-square",
    faNavicon = "fa-navicon",
    faReorder = "fa-reorder",
    faBars = "fa-bars",
    faListUl = "fa-list-ul",
    faListOl = "fa-list-ol",
    faStrikethrough = "fa-strikethrough",
    faUnderline = "fa-underline",
    faTable = "fa-table",
    faMagic = "fa-magic",
    faTruck = "fa-truck",
    faPinterest = "fa-pinterest",
    faPinterestSquare = "fa-pinterest-square",
    faGooglePlusSquare = "fa-google-plus-square",
    faGooglePlus = "fa-google-plus",
    faMoney = "fa-money",
    faCaretDown = "fa-caret-down",
    faCaretUp = "fa-caret-up",
    faCaretLeft = "fa-caret-left",
    faCaretRight = "fa-caret-right",
    faColumns = "fa-columns",
    faUnsorted = "fa-unsorted",
    faSort = "fa-sort",
    faSortDown = "fa-sort-down",
    faSortDesc = "fa-sort-desc",
    faSortUp = "fa-sort-up",
    faSortAsc = "fa-sort-asc",
    faEnvelope = "fa-envelope",
    faLinkedin = "fa-linkedin",
    faRotateLeft = "fa-rotate-left",
    faUndo = "fa-undo",
    faLegal = "fa-legal",
    faGavel = "fa-gavel",
    faDashboard = "fa-dashboard",
    faTachometer = "fa-tachometer",
    faCommentO = "fa-comment-o",
    faCommentsO = "fa-comments-o",
    faFlash = "fa-flash",
    faBolt = "fa-bolt",
    faSitemap = "fa-sitemap",
    faUmbrella = "fa-umbrella",
    faPaste = "fa-paste",
    faClipboard = "fa-clipboard",
    faLightbulbO = "fa-lightbulb-o",
    faExchange = "fa-exchange",
    faCloudDownload = "fa-cloud-download",
    faCloudUpload = "fa-cloud-upload",
    faUserMd = "fa-user-md",
    faStethoscope = "fa-stethoscope",
    faSuitcase = "fa-suitcase",
    faBellO = "fa-bell-o",
    faCoffee = "fa-coffee",
    faCutlery = "fa-cutlery",
    faFileTextO = "fa-file-text-o",
    faBuildingO = "fa-building-o",
    faHospitalO = "fa-hospital-o",
    faAmbulance = "fa-ambulance",
    faMedkit = "fa-medkit",
    faFighterJet = "fa-fighter-jet",
    faBeer = "fa-beer",
    faHSquare = "fa-h-square",
    faPlusSquare = "fa-plus-square",
    faAngleDoubleLeft = "fa-angle-double-left",
    faAngleDoubleRight = "fa-angle-double-right",
    faAngleDoubleUp = "fa-angle-double-up",
    faAngleDoubleDown = "fa-angle-double-down",
    faAngleLeft = "fa-angle-left",
    faAngleRight = "fa-angle-right",
    faAngleUp = "fa-angle-up",
    faAngleDown = "fa-angle-down",
    faDesktop = "fa-desktop",
    faLaptop = "fa-laptop",
    faTablet = "fa-tablet",
    faMobilePhone = "fa-mobile-phone",
    faMobile = "fa-mobile",
    faCircleO = "fa-circle-o",
    faQuoteLeft = "fa-quote-left",
    faQuoteRight = "fa-quote-right",
    faSpinner = "fa-spinner",
    faCircle = "fa-circle",
    faMailReply = "fa-mail-reply",
    faReply = "fa-reply",
    faGithubAlt = "fa-github-alt",
    faFolderO = "fa-folder-o",
    faFolderOpenO = "fa-folder-open-o",
    faSmileO = "fa-smile-o",
    faFrownO = "fa-frown-o",
    faMehO = "fa-meh-o",
    faGamepad = "fa-gamepad",
    faKeyboardO = "fa-keyboard-o",
    faFlagO = "fa-flag-o",
    faFlagCheckered = "fa-flag-checkered",
    faTerminal = "fa-terminal",
    faCode = "fa-code",
    faMailReplyAll = "fa-mail-reply-all",
    faReplyAll = "fa-reply-all",
    faStarHalfEmpty = "fa-star-half-empty",
    faStarHalfFull = "fa-star-half-full",
    faStarHalfO = "fa-star-half-o",
    faLocationArrow = "fa-location-arrow",
    faCrop = "fa-crop",
    faCodeFork = "fa-code-fork",
    faUnlink = "fa-unlink",
    faChainBroken = "fa-chain-broken",
    faQuestion = "fa-question",
    faInfo = "fa-info",
    faExclamation = "fa-exclamation",
    faSuperscript = "fa-superscript",
    faSubscript = "fa-subscript",
    faEraser = "fa-eraser",
    faPuzzlePiece = "fa-puzzle-piece",
    faMicrophone = "fa-microphone",
    faMicrophoneSlash = "fa-microphone-slash",
    faShield = "fa-shield",
    faCalendarO = "fa-calendar-o",
    faFireExtinguisher = "fa-fire-extinguisher",
    faRocket = "fa-rocket",
    faMaxcdn = "fa-maxcdn",
    faChevronCircleLeft = "fa-chevron-circle-left",
    faChevronCircleRight = "fa-chevron-circle-right",
    faChevronCircleUp = "fa-chevron-circle-up",
    faChevronCircleDown = "fa-chevron-circle-down",
    faHtml5 = "fa-html5",
    faCss3 = "fa-css3",
    faAnchor = "fa-anchor",
    faUnlockAlt = "fa-unlock-alt",
    faBullseye = "fa-bullseye",
    faEllipsisH = "fa-ellipsis-h",
    faEllipsisV = "fa-ellipsis-v",
    faRssSquare = "fa-rss-square",
    faPlayCircle = "fa-play-circle",
    faTicket = "fa-ticket",
    faMinusSquare = "fa-minus-square",
    faMinusSquareO = "fa-minus-square-o",
    faLevelUp = "fa-level-up",
    faLevelDown = "fa-level-down",
    faCheckSquare = "fa-check-square",
    faPencilSquare = "fa-pencil-square",
    faExternalLinkSquare = "fa-external-link-square",
    faShareSquare = "fa-share-square",
    faCompass = "fa-compass",
    faToggleDown = "fa-toggle-down",
    faCaretSquareODown = "fa-caret-square-o-down",
    faToggleUp = "fa-toggle-up",
    faCaretSquareOUp = "fa-caret-square-o-up",
    faToggleRight = "fa-toggle-right",
    faCaretSquareORight = "fa-caret-square-o-right",
    faEuro = "fa-euro",
    faEur = "fa-eur",
    faGbp = "fa-gbp",
    faDollar = "fa-dollar",
    faUsd = "fa-usd",
    faRupee = "fa-rupee",
    faInr = "fa-inr",
    faCny = "fa-cny",
    faRmb = "fa-rmb",
    faYen = "fa-yen",
    faJpy = "fa-jpy",
    faRuble = "fa-ruble",
    faRouble = "fa-rouble",
    faRub = "fa-rub",
    faWon = "fa-won",
    faKrw = "fa-krw",
    faBitcoin = "fa-bitcoin",
    faBtc = "fa-btc",
    faFile = "fa-file",
    faFileText = "fa-file-text",
    faSortAlphaAsc = "fa-sort-alpha-asc",
    faSortAlphaDesc = "fa-sort-alpha-desc",
    faSortAmountAsc = "fa-sort-amount-asc",
    faSortAmountDesc = "fa-sort-amount-desc",
    faSortNumericAsc = "fa-sort-numeric-asc",
    faSortNumericDesc = "fa-sort-numeric-desc",
    faThumbsUp = "fa-thumbs-up",
    faThumbsDown = "fa-thumbs-down",
    faYoutubeSquare = "fa-youtube-square",
    faYoutube = "fa-youtube",
    faXing = "fa-xing",
    faXingSquare = "fa-xing-square",
    faYoutubePlay = "fa-youtube-play",
    faDropbox = "fa-dropbox",
    faStackOverflow = "fa-stack-overflow",
    faInstagram = "fa-instagram",
    faFlickr = "fa-flickr",
    faAdn = "fa-adn",
    faBitbucket = "fa-bitbucket",
    faBitbucketSquare = "fa-bitbucket-square",
    faTumblr = "fa-tumblr",
    faTumblrSquare = "fa-tumblr-square",
    faLongArrowDown = "fa-long-arrow-down",
    faLongArrowUp = "fa-long-arrow-up",
    faLongArrowLeft = "fa-long-arrow-left",
    faLongArrowRight = "fa-long-arrow-right",
    faApple = "fa-apple",
    faWindows = "fa-windows",
    faAndroid = "fa-android",
    faLinux = "fa-linux",
    faDribbble = "fa-dribbble",
    faSkype = "fa-skype",
    faFoursquare = "fa-foursquare",
    faTrello = "fa-trello",
    faFemale = "fa-female",
    faMale = "fa-male",
    faGittip = "fa-gittip",
    faGratipay = "fa-gratipay",
    faSunO = "fa-sun-o",
    faMoonO = "fa-moon-o",
    faArchive = "fa-archive",
    faBug = "fa-bug",
    faVk = "fa-vk",
    faWeibo = "fa-weibo",
    faRenren = "fa-renren",
    faPagelines = "fa-pagelines",
    faStackExchange = "fa-stack-exchange",
    faArrowCircleORight = "fa-arrow-circle-o-right",
    faArrowCircleOLeft = "fa-arrow-circle-o-left",
    faToggleLeft = "fa-toggle-left",
    faCaretSquareOLeft = "fa-caret-square-o-left",
    faDotCircleO = "fa-dot-circle-o",
    faWheelchair = "fa-wheelchair",
    faVimeoSquare = "fa-vimeo-square",
    faTurkishLira = "fa-turkish-lira",
    faTry = "fa-try",
    faPlusSquareO = "fa-plus-square-o",
    faSpaceShuttle = "fa-space-shuttle",
    faSlack = "fa-slack",
    faEnvelopeSquare = "fa-envelope-square",
    faWordpress = "fa-wordpress",
    faOpenid = "fa-openid",
    faInstitution = "fa-institution",
    faBank = "fa-bank",
    faUniversity = "fa-university",
    faMortarBoard = "fa-mortar-board",
    faGraduationCap = "fa-graduation-cap",
    faYahoo = "fa-yahoo",
    faGoogle = "fa-google",
    faReddit = "fa-reddit",
    faRedditSquare = "fa-reddit-square",
    faStumbleuponCircle = "fa-stumbleupon-circle",
    faStumbleupon = "fa-stumbleupon",
    faDelicious = "fa-delicious",
    faDigg = "fa-digg",
    faPiedPiperPp = "fa-pied-piper-pp",
    faPiedPiperAlt = "fa-pied-piper-alt",
    faDrupal = "fa-drupal",
    faJoomla = "fa-joomla",
    faLanguage = "fa-language",
    faFax = "fa-fax",
    faBuilding = "fa-building",
    faChild = "fa-child",
    faPaw = "fa-paw",
    faSpoon = "fa-spoon",
    faCube = "fa-cube",
    faCubes = "fa-cubes",
    faBehance = "fa-behance",
    faBehanceSquare = "fa-behance-square",
    faSteam = "fa-steam",
    faSteamSquare = "fa-steam-square",
    faRecycle = "fa-recycle",
    faAutomobile = "fa-automobile",
    faCar = "fa-car",
    faCab = "fa-cab",
    faTaxi = "fa-taxi",
    faTree = "fa-tree",
    faSpotify = "fa-spotify",
    faDeviantart = "fa-deviantart",
    faSoundcloud = "fa-soundcloud",
    faDatabase = "fa-database",
    faFilePdfO = "fa-file-pdf-o",
    faFileWordO = "fa-file-word-o",
    faFileExcelO = "fa-file-excel-o",
    faFilePowerpointO = "fa-file-powerpoint-o",
    faFilePhotoO = "fa-file-photo-o",
    faFilePictureO = "fa-file-picture-o",
    faFileImageO = "fa-file-image-o",
    faFileZipO = "fa-file-zip-o",
    faFileArchiveO = "fa-file-archive-o",
    faFileSoundO = "fa-file-sound-o",
    faFileAudioO = "fa-file-audio-o",
    faFileMovieO = "fa-file-movie-o",
    faFileVideoO = "fa-file-video-o",
    faFileCodeO = "fa-file-code-o",
    faVine = "fa-vine",
    faCodepen = "fa-codepen",
    faJsfiddle = "fa-jsfiddle",
    faLifeBouy = "fa-life-bouy",
    faLifeBuoy = "fa-life-buoy",
    faLifeSaver = "fa-life-saver",
    faSupport = "fa-support",
    faLifeRing = "fa-life-ring",
    faCircleONotch = "fa-circle-o-notch",
    faRa = "fa-ra",
    faResistance = "fa-resistance",
    faRebel = "fa-rebel",
    faGe = "fa-ge",
    faEmpire = "fa-empire",
    faGitSquare = "fa-git-square",
    faGit = "fa-git",
    faYCombinatorSquare = "fa-y-combinator-square",
    faYcSquare = "fa-yc-square",
    faHackerNews = "fa-hacker-news",
    faTencentWeibo = "fa-tencent-weibo",
    faQq = "fa-qq",
    faWechat = "fa-wechat",
    faWeixin = "fa-weixin",
    faSend = "fa-send",
    faPaperPlane = "fa-paper-plane",
    faSendO = "fa-send-o",
    faPaperPlaneO = "fa-paper-plane-o",
    faHistory = "fa-history",
    faCircleThin = "fa-circle-thin",
    faHeader = "fa-header",
    faParagraph = "fa-paragraph",
    faSliders = "fa-sliders",
    faShareAlt = "fa-share-alt",
    faShareAltSquare = "fa-share-alt-square",
    faBomb = "fa-bomb",
    faSoccerBallO = "fa-soccer-ball-o",
    faFutbolO = "fa-futbol-o",
    faTty = "fa-tty",
    faBinoculars = "fa-binoculars",
    faPlug = "fa-plug",
    faSlideshare = "fa-slideshare",
    faTwitch = "fa-twitch",
    faYelp = "fa-yelp",
    faNewspaperO = "fa-newspaper-o",
    faWifi = "fa-wifi",
    faCalculator = "fa-calculator",
    faPaypal = "fa-paypal",
    faGoogleWallet = "fa-google-wallet",
    faCcVisa = "fa-cc-visa",
    faCcMastercard = "fa-cc-mastercard",
    faCcDiscover = "fa-cc-discover",
    faCcAmex = "fa-cc-amex",
    faCcPaypal = "fa-cc-paypal",
    faCcStripe = "fa-cc-stripe",
    faBellSlash = "fa-bell-slash",
    faBellSlashO = "fa-bell-slash-o",
    faTrash = "fa-trash",
    faCopyright = "fa-copyright",
    faAt = "fa-at",
    faEyedropper = "fa-eyedropper",
    faPaintBrush = "fa-paint-brush",
    faBirthdayCake = "fa-birthday-cake",
    faAreaChart = "fa-area-chart",
    faPieChart = "fa-pie-chart",
    faLineChart = "fa-line-chart",
    faLastfm = "fa-lastfm",
    faLastfmSquare = "fa-lastfm-square",
    faToggleOff = "fa-toggle-off",
    faToggleOn = "fa-toggle-on",
    faBicycle = "fa-bicycle",
    faBus = "fa-bus",
    faIoxhost = "fa-ioxhost",
    faAngellist = "fa-angellist",
    faCc = "fa-cc",
    faShekel = "fa-shekel",
    faSheqel = "fa-sheqel",
    faIls = "fa-ils",
    faMeanpath = "fa-meanpath",
    faBuysellads = "fa-buysellads",
    faConnectdevelop = "fa-connectdevelop",
    faDashcube = "fa-dashcube",
    faForumbee = "fa-forumbee",
    faLeanpub = "fa-leanpub",
    faSellsy = "fa-sellsy",
    faShirtsinbulk = "fa-shirtsinbulk",
    faSimplybuilt = "fa-simplybuilt",
    faSkyatlas = "fa-skyatlas",
    faCartPlus = "fa-cart-plus",
    faCartArrowDown = "fa-cart-arrow-down",
    faDiamond = "fa-diamond",
    faShip = "fa-ship",
    faUserSecret = "fa-user-secret",
    faMotorcycle = "fa-motorcycle",
    faStreetView = "fa-street-view",
    faHeartbeat = "fa-heartbeat",
    faVenus = "fa-venus",
    faMars = "fa-mars",
    faMercury = "fa-mercury",
    faIntersex = "fa-intersex",
    faTransgender = "fa-transgender",
    faTransgenderAlt = "fa-transgender-alt",
    faVenusDouble = "fa-venus-double",
    faMarsDouble = "fa-mars-double",
    faVenusMars = "fa-venus-mars",
    faMarsStroke = "fa-mars-stroke",
    faMarsStrokeV = "fa-mars-stroke-v",
    faMarsStrokeH = "fa-mars-stroke-h",
    faNeuter = "fa-neuter",
    faGenderless = "fa-genderless",
    faFacebookOfficial = "fa-facebook-official",
    faPinterestP = "fa-pinterest-p",
    faWhatsapp = "fa-whatsapp",
    faServer = "fa-server",
    faUserPlus = "fa-user-plus",
    faUserTimes = "fa-user-times",
    faHotel = "fa-hotel",
    faBed = "fa-bed",
    faViacoin = "fa-viacoin",
    faTrain = "fa-train",
    faSubway = "fa-subway",
    faMedium = "fa-medium",
    faYc = "fa-yc",
    faYCombinator = "fa-y-combinator",
    faOptinMonster = "fa-optin-monster",
    faOpencart = "fa-opencart",
    faExpeditedssl = "fa-expeditedssl",
    faBattery4 = "fa-battery-4",
    faBattery = "fa-battery",
    faBatteryFull = "fa-battery-full",
    faBattery3 = "fa-battery-3",
    faBatteryThreeQuarters = "fa-battery-three-quarters",
    faBattery2 = "fa-battery-2",
    faBatteryHalf = "fa-battery-half",
    faBattery1 = "fa-battery-1",
    faBatteryQuarter = "fa-battery-quarter",
    faBattery0 = "fa-battery-0",
    faBatteryEmpty = "fa-battery-empty",
    faMousePointer = "fa-mouse-pointer",
    faICursor = "fa-i-cursor",
    faObjectGroup = "fa-object-group",
    faObjectUngroup = "fa-object-ungroup",
    faStickyNote = "fa-sticky-note",
    faStickyNoteO = "fa-sticky-note-o",
    faCcJcb = "fa-cc-jcb",
    faCcDinersClub = "fa-cc-diners-club",
    faClone = "fa-clone",
    faBalanceScale = "fa-balance-scale",
    faHourglassO = "fa-hourglass-o",
    faHourglass1 = "fa-hourglass-1",
    faHourglassStart = "fa-hourglass-start",
    faHourglass2 = "fa-hourglass-2",
    faHourglassHalf = "fa-hourglass-half",
    faHourglass3 = "fa-hourglass-3",
    faHourglassEnd = "fa-hourglass-end",
    faHourglass = "fa-hourglass",
    faHandGrabO = "fa-hand-grab-o",
    faHandRockO = "fa-hand-rock-o",
    faHandStopO = "fa-hand-stop-o",
    faHandPaperO = "fa-hand-paper-o",
    faHandScissorsO = "fa-hand-scissors-o",
    faHandLizardO = "fa-hand-lizard-o",
    faHandSpockO = "fa-hand-spock-o",
    faHandPointerO = "fa-hand-pointer-o",
    faHandPeaceO = "fa-hand-peace-o",
    faTrademark = "fa-trademark",
    faRegistered = "fa-registered",
    faCreativeCommons = "fa-creative-commons",
    faGg = "fa-gg",
    faGgCircle = "fa-gg-circle",
    faTripadvisor = "fa-tripadvisor",
    faOdnoklassniki = "fa-odnoklassniki",
    faOdnoklassnikiSquare = "fa-odnoklassniki-square",
    faGetPocket = "fa-get-pocket",
    faWikipediaW = "fa-wikipedia-w",
    faSafari = "fa-safari",
    faChrome = "fa-chrome",
    faFirefox = "fa-firefox",
    faOpera = "fa-opera",
    faInternetExplorer = "fa-internet-explorer",
    faTv = "fa-tv",
    faTelevision = "fa-television",
    faContao = "fa-contao",
    fa500px = "fa-500px",
    faAmazon = "fa-amazon",
    faCalendarPlusO = "fa-calendar-plus-o",
    faCalendarMinusO = "fa-calendar-minus-o",
    faCalendarTimesO = "fa-calendar-times-o",
    faCalendarCheckO = "fa-calendar-check-o",
    faIndustry = "fa-industry",
    faMapPin = "fa-map-pin",
    faMapSigns = "fa-map-signs",
    faMapO = "fa-map-o",
    faMap = "fa-map",
    faCommenting = "fa-commenting",
    faCommentingO = "fa-commenting-o",
    faHouzz = "fa-houzz",
    faVimeo = "fa-vimeo",
    faBlackTie = "fa-black-tie",
    faFonticons = "fa-fonticons",
    faRedditAlien = "fa-reddit-alien",
    faEdge = "fa-edge",
    faCreditCardAlt = "fa-credit-card-alt",
    faCodiepie = "fa-codiepie",
    faModx = "fa-modx",
    faFortAwesome = "fa-fort-awesome",
    faUsb = "fa-usb",
    faProductHunt = "fa-product-hunt",
    faMixcloud = "fa-mixcloud",
    faScribd = "fa-scribd",
    faPauseCircle = "fa-pause-circle",
    faPauseCircleO = "fa-pause-circle-o",
    faStopCircle = "fa-stop-circle",
    faStopCircleO = "fa-stop-circle-o",
    faShoppingBag = "fa-shopping-bag",
    faShoppingBasket = "fa-shopping-basket",
    faHashtag = "fa-hashtag",
    faBluetooth = "fa-bluetooth",
    faBluetoothB = "fa-bluetooth-b",
    faPercent = "fa-percent",
    faGitlab = "fa-gitlab",
    faWpbeginner = "fa-wpbeginner",
    faWpforms = "fa-wpforms",
    faEnvira = "fa-envira",
    faUniversalAccess = "fa-universal-access",
    faWheelchairAlt = "fa-wheelchair-alt",
    faQuestionCircleO = "fa-question-circle-o",
    faBlind = "fa-blind",
    faAudioDescription = "fa-audio-description",
    faVolumeControlPhone = "fa-volume-control-phone",
    faBraille = "fa-braille",
    faAssistiveListeningSystems = "fa-assistive-listening-systems",
    faAslInterpreting = "fa-asl-interpreting",
    faAmericanSignLanguageInterpreting = "fa-american-sign-language-interpreting",
    faDeafness = "fa-deafness",
    faHardOfHearing = "fa-hard-of-hearing",
    faDeaf = "fa-deaf",
    faGlide = "fa-glide",
    faGlideG = "fa-glide-g",
    faSigning = "fa-signing",
    faSignLanguage = "fa-sign-language",
    faLowVision = "fa-low-vision",
    faViadeo = "fa-viadeo",
    faViadeoSquare = "fa-viadeo-square",
    faSnapchat = "fa-snapchat",
    faSnapchatGhost = "fa-snapchat-ghost",
    faSnapchatSquare = "fa-snapchat-square",
    faPiedPiper = "fa-pied-piper",
    faFirstOrder = "fa-first-order",
    faYoast = "fa-yoast",
    faThemeisle = "fa-themeisle",
    faGooglePlusCircle = "fa-google-plus-circle",
    faGooglePlusOfficial = "fa-google-plus-official",
    faFa = "fa-fa",
    faFontAwesome = "fa-font-awesome",
    faHandshakeO = "fa-handshake-o",
    faEnvelopeOpen = "fa-envelope-open",
    faEnvelopeOpenO = "fa-envelope-open-o",
    faLinode = "fa-linode",
    faAddressBook = "fa-address-book",
    faAddressBookO = "fa-address-book-o",
    faVcard = "fa-vcard",
    faAddressCard = "fa-address-card",
    faVcardO = "fa-vcard-o",
    faAddressCardO = "fa-address-card-o",
    faUserCircle = "fa-user-circle",
    faUserCircleO = "fa-user-circle-o",
    faUserO = "fa-user-o",
    faIdBadge = "fa-id-badge",
    faDriversLicense = "fa-drivers-license",
    faIdCard = "fa-id-card",
    faDriversLicenseO = "fa-drivers-license-o",
    faIdCardO = "fa-id-card-o",
    faQuora = "fa-quora",
    faFreeCodeCamp = "fa-free-code-camp",
    faTelegram = "fa-telegram",
    faThermometer4 = "fa-thermometer-4",
    faThermometer = "fa-thermometer",
    faThermometerFull = "fa-thermometer-full",
    faThermometer3 = "fa-thermometer-3",
    faThermometerThreeQuarters = "fa-thermometer-three-quarters",
    faThermometer2 = "fa-thermometer-2",
    faThermometerHalf = "fa-thermometer-half",
    faThermometer1 = "fa-thermometer-1",
    faThermometerQuarter = "fa-thermometer-quarter",
    faThermometer0 = "fa-thermometer-0",
    faThermometerEmpty = "fa-thermometer-empty",
    faShower = "fa-shower",
    faBathtub = "fa-bathtub",
    faS15 = "fa-s15",
    faBath = "fa-bath",
    faPodcast = "fa-podcast",
    faWindowMaximize = "fa-window-maximize",
    faWindowMinimize = "fa-window-minimize",
    faWindowRestore = "fa-window-restore",
    faTimesRectangle = "fa-times-rectangle",
    faWindowClose = "fa-window-close",
    faTimesRectangleO = "fa-times-rectangle-o",
    faWindowCloseO = "fa-window-close-o",
    faBandcamp = "fa-bandcamp",
    faGrav = "fa-grav",
    faEtsy = "fa-etsy",
    faImdb = "fa-imdb",
    faRavelry = "fa-ravelry",
    faEercast = "fa-eercast",
    faMicrochip = "fa-microchip",
    faSnowflakeO = "fa-snowflake-o",
    faSuperpowers = "fa-superpowers",
    faWpexplorer = "fa-wpexplorer",
    faMeetup = "fa-meetup"
}
