import { Component, IPropCheckRule } from "elmer-ui-core";
import { IVirtualElement } from "elmer-virtual-dom";
import "./col";
import "./index.less";
import "./row";
declare type LayoutPropTypes = {
    theme: IPropCheckRule;
    children?: IPropCheckRule[];
};
declare type LayoutProps = {
    theme: string;
    children?: IVirtualElement[];
};
export declare class LayoutComponent extends Component {
    static propTypes: LayoutPropTypes;
    state: any;
    props: any;
    constructor(props: LayoutProps);
    render(): string;
    $onPropsChanged(): void;
    private updateChildrenSetSize;
}
export {};
