import { Component, IPropCheckRule } from "elmer-ui-core";
import "./loadingIcon";
import "./style.less";
export declare type TypeLoadingTypes = "style1" | "style2" | "style3" | "style4" | "style5" | "style6" | "style7" | "style8";
export declare type TypeLoadingPropsRule = {
    percent: IPropCheckRule;
    title: IPropCheckRule;
    type: IPropCheckRule;
    titleVisible: IPropCheckRule;
    visible: IPropCheckRule;
};
export declare class Loading extends Component {
    static propType: TypeLoadingPropsRule;
    private type;
    private style1Visible;
    private style2Visible;
    private style3Visible;
    private style4Visible;
    private style5Visible;
    private style6Visible;
    private style7Visible;
    private style8Visible;
    private visible;
    private title;
    private titleVisible;
    constructor(props: any);
    $onPropsChanged(newProps: any): void;
    render(): string;
}
export declare type TypeShowLoadingOptions = {
    type?: TypeLoadingTypes;
    showTitle?: boolean;
    title?: string;
    visible?: boolean;
};
export declare type TypeShowloadingResult = {
    show?(): void;
    hide?(): void;
    dispose?(): void;
    setTitle?(title: string): void;
};
export declare const showLoading: (options: TypeShowLoadingOptions) => TypeShowloadingResult;
