import { Component, IElmerEvent } from "elmer-ui-core";
import "./index.less";
declare type QQServiceProps = {
    data: any[];
    workTime: string;
    workTitle: string;
    onClick: Function;
    theme: string;
};
export declare class QQService extends Component<QQServiceProps> {
    static propType: any;
    selectGroup: any;
    showList: boolean;
    data: IQQServiceData[];
    constructor(props: any);
    handleOnTabClick(): void;
    handleOnGroupClick(evt: IElmerEvent): void;
    handleOnItemClick(evt: IElmerEvent): void;
    render(): string;
    $onPropsChanged(props: any): void;
}
export interface IQQServiceDataItem {
    title: string;
    tipTitle?: string;
    value: any;
}
export interface IQQServiceData {
    title?: string;
    items?: IQQServiceDataItem[];
}
export interface IQQServiceOptions {
    data?: IQQServiceData[];
    onClick?: Function;
    workTime?: string;
    workTitle?: string;
    theme?: string;
}
export declare const attachQQService: (options?: IQQServiceOptions) => void;
export {};
