"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RadioButton = void 0;
var elmer_ui_core_1 = require("elmer-ui-core");
require("./style.less");
var RadioButton = (function (_super) {
    __extends(RadioButton, _super);
    function RadioButton(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            checked: false
        };
        if (props.defaultValue !== undefined || props.defaultValue !== null) {
            _this.state.checked = props.defaultValue ? true : false;
        }
        return _this;
    }
    RadioButton.prototype.onCheckChange = function (evt) {
        this.setState({
            checked: true
        });
        typeof this.props.onChange === "function" && this.props.onChange({
            name: this.props.name,
            id: this.props.id,
            checked: true
        });
        typeof this.props.onChanged === "function" && this.props.onChanged({
            name: this.props.name,
            id: this.props.id,
            checked: true
        });
    };
    RadioButton.prototype.render = function () {
        return "<label style=\"{{props.style}}\" et:click=\"onCheckChange\" for=\"{{props.id}}\" class=\"eui-radio-button\">\n            <input checked=\"{{state.checked}}\" id=\"{{props.id}}\" name=\"{{props.name}}\" type='radio' />\n            <div><span>{{props.title}}</span><context /></div>\n        </label>";
    };
    RadioButton.propType = {
        name: {
            rule: elmer_ui_core_1.PropTypes.string.isRequired
        },
        id: {
            rule: elmer_ui_core_1.PropTypes.string.isRequired
        },
        title: {
            defaultValue: "",
            rule: elmer_ui_core_1.PropTypes.string.isRequired
        },
        onChange: {
            rule: elmer_ui_core_1.PropTypes.func
        }
    };
    RadioButton = __decorate([
        elmer_ui_core_1.declareComponent({
            selector: "radio"
        }),
        __metadata("design:paramtypes", [Object])
    ], RadioButton);
    return RadioButton;
}(elmer_ui_core_1.Component));
exports.RadioButton = RadioButton;
