"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TabBarItem = void 0;
var elmer_ui_core_1 = require("elmer-ui-core");
var TabBarItem = (function (_super) {
    __extends(TabBarItem, _super);
    function TabBarItem(props, context) {
        var _this = _super.call(this, props, context) || this;
        _this.currentIndex = 0;
        _this.index = 0;
        _this.title = "tab标签标题";
        _this.title = props.title;
        _this.currentIndex = props.currentIndex >= 0 ? props.currentIndex : 0;
        _this.index = props.index;
        return _this;
    }
    TabBarItem.prototype.setIndex = function (index) {
        this.index = index;
    };
    TabBarItem.prototype.setCurrentIndex = function (index) {
        if (index !== this.currentIndex) {
            this.setData({
                currentIndex: index
            });
            this.mountPage();
        }
    };
    TabBarItem.prototype.$contextChange = function (context, oldContext) {
        var storeIndex = this.getValue(context, "tabStore.tabIndex");
        var oldStoreIndex = this.getValue(oldContext, "tabStore.tabIndex");
        if (storeIndex !== oldStoreIndex) {
            this.setData({
                currentIndex: storeIndex
            });
            this.mountPage();
        }
    };
    TabBarItem.prototype.render = function () {
        return require("./views/tabBarItem.html");
    };
    TabBarItem.prototype.mountPage = function () {
        if (this.dom) {
            for (var key in this.dom) {
                typeof this.dom[key].$didMount === "function" && this.dom[key].$didMount(true);
            }
        }
    };
    TabBarItem.propType = {
        title: {
            defaultValue: "tabItem",
            description: "tab标签标题",
            rule: elmer_ui_core_1.PropTypes.oneOf([elmer_ui_core_1.PropTypes.string, elmer_ui_core_1.PropTypes.number]).isRequired
        },
        currentIndex: {
            defaultValue: -1,
            description: "当前选择的tab页",
            rule: elmer_ui_core_1.PropTypes.number
        }
    };
    TabBarItem.contextType = {
        tabStore: elmer_ui_core_1.PropTypes.object
    };
    TabBarItem = __decorate([
        elmer_ui_core_1.declareComponent({
            selector: "tabItem"
        }),
        __metadata("design:paramtypes", [Object, Object])
    ], TabBarItem);
    return TabBarItem;
}(elmer_ui_core_1.Component));
exports.TabBarItem = TabBarItem;
