import { Component } from "elmer-ui-core";
import "./index.less";
declare type ToastProps = {
    autoClose: boolean;
    closeAnimation: string;
    duration: number;
    handler: any;
    iconVisible: boolean;
    leftTime: number;
    message: string | number;
    onClose: Function;
    showAnimation: string;
    style: string;
    theme: string;
    timeVisible: boolean;
    visible: boolean;
    icon: string;
};
export declare class Toast extends Component<ToastProps> {
    static propType: any;
    message: string;
    icon: string;
    curAnimation: string;
    private closeAnimation;
    private showAnimation;
    private theme;
    private leftTime;
    private duration;
    private timeTick;
    private canTick;
    private showVisible;
    private cid;
    private onClose;
    private autoClose;
    private toClose;
    constructor(props: any);
    $onPropsChanged(newProps: any): void;
    timeTickFunc(): void;
    handleOnDomAnimationEnd(): void;
    $after(): void;
    handleOnClose(): void;
    render(): string;
}
export {};
