import { Component, IElmerEvent } from "elmer-ui-core";
declare type TreeviewItemProps = {
    data: any;
    width: number;
    selectedData: any[];
    onExpandClick: Function;
    dblClick: Function;
    level: number;
    valueKey: string | number;
    click: Function;
    index: any;
    onUpdateChildren: Function;
};
export declare class TreeViewItem extends Component<TreeviewItemProps> {
    static propType: any;
    listWidth: string;
    settingWidth: boolean;
    hasChild: boolean;
    expandIcon: string;
    hasIcon: boolean;
    icon: string;
    subLevel: number;
    space: number;
    private data;
    private expand;
    private treeViewItemClick;
    private theme;
    private level;
    private offsetLeft;
    private expandDom;
    private width;
    private childrenMaxWidth;
    private $;
    constructor(props: any);
    getCheckStatusTheme(): string;
    $willReceiveProps(newProps: any): void;
    handleOnExpandClick(event: IElmerEvent): boolean;
    updateData(data: any): void;
    updateChildren(data: any): void;
    $didMount(): void;
    handleOnClick(evt: any): void;
    handleOnDblClick(evt: any): void;
    render(): string;
    handleOnListUpdateChildren(data: any): void;
    private getMaxWidth;
}
export {};
