import { Component, IPropCheckRule } from "elmer-ui-core";
import "./app/setting";
import "./state/reducer";
import "./config/service";
import "./styles/desktop.less";
declare type TypeDesktopThemes = {
    default: string;
    themeDesktop: string;
    themeDefault: string;
    themeNoBack: string;
};
declare type TypeDesktopPropsCheckRule = {
    userWallperPlugin: IPropCheckRule;
    autoRunAppList: IPropCheckRule;
    backgroundConfig: IPropCheckRule;
    backgroundPlugin: IPropCheckRule;
    template: IPropCheckRule;
    deskTopApp: IPropCheckRule;
    mainMenuList: IPropCheckRule;
    quickStartMenu: IPropCheckRule;
};
declare type TypeDesktopProps = {
    [P in keyof TypeDesktopPropsCheckRule]: any;
};
export declare class Desktop extends Component {
    static propType: TypeDesktopPropsCheckRule;
    supportThemes: TypeDesktopThemes;
    theme: keyof TypeDesktopThemes;
    cavId: string;
    reduxConfig: any;
    props: TypeDesktopProps;
    private backgroundConfig;
    $init(): void;
    $inject(): void;
    $onPropsChanged(props: TypeDesktopProps): void;
    $after(): void;
    $dispose(): void;
    $resize(): Function;
}
export {};
