import { Canvas } from "elmer-common/lib/Canvas/Canvas";
import { Component } from "elmer-ui-core";
import { TypePluginInfo } from "./IBackgroundPlugin";
export declare class DesktopModel extends Canvas {
    private dom;
    private animationHandler;
    private cav;
    private supportCanvas;
    private pluginData;
    private userPlugin;
    private plugin;
    constructor(obj: Component);
    onPropsChange(props: any): void;
    setCanvas(cav: HTMLCanvasElement): void;
    setBackgroundPluginData(pluginData: TypePluginInfo[]): void;
    setBackgroundPluginId(id: string): void;
    start(): void;
    stop(): void;
    animation(tim?: number): void;
    onResize(width: number, height: number): void;
}
