import { Component, IPropCheckRule } from "elmer-ui-core";
import { ITreeViewItem } from "../../../components/treeView";
import "./index.less";
declare type TypeBookProps = {
    menuData: IPropCheckRule;
    title: IPropCheckRule;
};
declare type TypeBookStateKeys = Exclude<keyof TypeBookProps, "menuData">;
declare type TypeBookState = {
    menuData: ITreeViewItem[];
} & {
    [P in TypeBookStateKeys]?: any;
};
declare type TypeBookPropData = {
    [P in keyof TypeBookProps]: any;
};
export declare class Book extends Component {
    static propType: TypeBookProps;
    state: TypeBookState;
    props: TypeBookPropData;
    constructor(props: TypeBookPropData);
}
export {};
