import { Component, IElmerEvent } from "elmer-ui-core";
import { IAdminMenuData } from "../../../components/adminMenu/IAdminMenuData";
import "../settingConfig/SettingConfig";
declare type TypeSettingState = {
    menuList: IAdminMenuData[];
    menuWidth: number;
    menuExpand: boolean;
    defaultMenuItem: IAdminMenuData;
    selectedMenuData: IAdminMenuData;
};
export declare class DesktopSetting extends Component {
    state: TypeSettingState;
    handleOnMenuChange(evt: IElmerEvent): void;
    handleOnMenuExpandChange(evt: IElmerEvent): void;
}
export {};
