"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SettingConfig = void 0;
var elmer_ui_core_1 = require("elmer-ui-core");
var components_1 = require("../../../components");
var SettingConfig = (function (_super) {
    __extends(SettingConfig, _super);
    function SettingConfig(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            data: null,
            tabIndex: 0
        };
        _this.ajaxUrl = "";
        _this.state.data = props.data;
        _this.http.init();
        _this.ajaxUrl = _this.http.getUrl("updateWebsiteSetting", "admin");
        return _this;
    }
    SettingConfig.prototype.handleOnResponse = function (resp) {
        if (resp.success) {
            components_1.showToast("提交成功");
        }
        else {
            components_1.showToast(resp.info || resp.message || "提交失败");
        }
    };
    SettingConfig.prototype.handleOnTabChange = function (index) {
        this.setState({
            tabIndex: index
        });
    };
    SettingConfig.propType = {
        data: {
            description: "Menu data",
            rule: elmer_ui_core_1.PropTypes.any
        }
    };
    __decorate([
        elmer_ui_core_1.autowired(elmer_ui_core_1.ElmerServiceRequest),
        __metadata("design:type", elmer_ui_core_1.ElmerServiceRequest)
    ], SettingConfig.prototype, "http", void 0);
    SettingConfig = __decorate([
        elmer_ui_core_1.declareComponent({
            selector: "SettingConfig",
            template: {
                url: "./settingConfig.html",
                fromLoader: true
            }
        }),
        __metadata("design:paramtypes", [Object])
    ], SettingConfig);
    return SettingConfig;
}(elmer_ui_core_1.Component));
exports.SettingConfig = SettingConfig;
