"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
var elmer_ui_core_1 = require("elmer-ui-core");
var components_1 = require("../../../components");
var MCommon_1 = require("../../MCommon");
var action_1 = require("../../state/action");
require("./style.less");
var tableConfig_1 = require("./tableConfig");
var UserGroup = (function (_super) {
    __extends(UserGroup, _super);
    function UserGroup(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            data: {},
            groupData: [],
            groupRight: [],
            moduleData: [],
            pager: {
                page: 1,
                totalNums: 0,
                pageSize: 20
            },
            mpager: {
                page: 1,
                totalNums: 0,
                pageSize: 20
            },
            page: 0,
            tabIndex: 0,
            choseIndex: 0,
            choseGroup: null,
            timestamp: "",
            groupName: ""
        };
        _this.columns = [];
        _this.moduleColumns = [];
        _this.state.data = props.data;
        _this.state.groupData = _this.getValue(props, "usersGroup.data") || [];
        _this.state.pager.totalNums = _this.state.groupData.length;
        _this.state.moduleData = _this.getValue(props, "adminMudule.data") || [];
        _this.state.mpager.totalNums = _this.state.moduleData.length;
        _this.moduleColumns = tableConfig_1.createModuleConfig.call(_this);
        _this.columns = tableConfig_1.createUserGroupColumns.call(_this);
        _this.moduleTableId = _this.guid();
        _this.tabId = _this.guid();
        _this.http.init(true);
        return _this;
    }
    UserGroup.prototype.handleOnAddGroup = function (groupData) {
        var _this = this;
        var isSupper = groupData && groupData.isSuper === 1;
        var groupName = groupData ? groupData.name : "";
        var isSupperDefault = groupData && groupData.isSuper === 1 ? "true" : "false";
        var dResult = components_1.eAlert({
            content: "<div class=\"user-group-input-layout\">\n                <label class=\"layout-form-item\">\n                    <span>\u5206\u7EC4\u540D\u79F0</span>\n                    <input bind=\"state.groupName\" value=\"" + groupName + "\" class='eui-input' type='text' placeholder='\u5206\u7EC4\u540D\u79F0\u4E0D\u80FD\u4E3A\u7A7A'/>\n                </label>\n                <label class=\"layout-form-item\" style=\"margin-top: 15px;\">\n                    <span></span>\n                    <eui-checkbox title=\"\u8D85\u7EA7\u7BA1\u7406\u5458\" checked=\"{{" + isSupperDefault + "}}\" et:onChange=\"options.events.onCheckChange\"/>\n                </label>\n            </div>",
            title: "新增用户组",
            msgType: "OkCancel",
            isMobile: false,
            events: {
                onCheckChange: function (evt) {
                    isSupper = evt.checked;
                }
            },
            onBefore: function (res) {
                if (res.button === "Ok") {
                    var bindValue = _this.getValue(dResult.component, "state.groupName");
                    groupName = !_this.isEmpty(bindValue) ? bindValue : groupName;
                    if (_this.isEmpty(groupName)) {
                        res.cancel = true;
                        components_1.eAlert({
                            title: "错误",
                            msgType: "OKOnly",
                            iconType: "Error",
                            message: "分组名称不能为空！"
                        });
                    }
                }
            },
            onOk: function () {
                var loading = components_1.showLoading({
                    title: "提交数据",
                    visible: true
                });
                _this.http.sendRequest({
                    namespace: "admin",
                    endPoint: "editGroupInfo",
                    data: {
                        groupName: groupName,
                        isSuper: isSupper ? 1 : 0,
                        id: _this.getValue(groupData, "id")
                    },
                    complete: function () {
                        loading.dispose();
                        loading = null;
                    }
                }).then(function (resp) {
                    if (!MCommon_1.commonHandler(resp)) {
                        _this.loadGroupList();
                    }
                }).catch(function (err) {
                    MCommon_1.commonHandler(err);
                });
            }
        });
    };
    UserGroup.prototype.loadGroupList = function () {
        var _this = this;
        var loading = components_1.showLoading({ title: "正在加载" });
        this.http.sendRequest({
            namespace: "admin",
            endPoint: "groupList",
            data: {
                page: this.state.page
            },
            complete: function () {
                loading.dispose();
                loading = null;
            }
        }).then(function (resp) {
            if (!MCommon_1.commonHandler(resp)) {
                var groupList = resp.data || [];
                _this.props.actionUpdateGroupList(resp);
                _this.setState({
                    groupData: groupList,
                    groupTime: (new Date()).getTime()
                });
            }
        }).catch(function (error) {
            MCommon_1.commonHandler(error);
        });
    };
    UserGroup.prototype.setGroupRight = function (data, isAdd) {
        var _this = this;
        var bodyData = {
            groupId: this.state.choseGroup.id,
            module: data.module,
            moduleData: [data.id]
        };
        var loading = components_1.showLoading({ title: "授权设置" });
        this.http.sendRequest({
            namespace: "admin",
            endPoint: isAdd ? "addGroupRight" : "delGroupRight",
            data: bodyData,
            complete: function () {
                loading.dispose();
            }
        }).then(function (resp) {
            if (!MCommon_1.commonHandler(resp)) {
                _this.getGroupModule(_this.state.choseGroup.id);
            }
        }).catch(function (error) {
            MCommon_1.commonHandler(error);
        });
    };
    UserGroup.prototype.handleOnTabChange = function (tabIndex) {
        this.state.tabIndex = tabIndex;
    };
    UserGroup.prototype.handleOnTabBeforeChange = function () {
        if (!this.state.choseGroup) {
            components_1.eAlert({
                title: "提示",
                message: "请点击授权进入模块页面。",
                msgType: "OKOnly",
                iconType: "Information"
            });
            return false;
        }
    };
    UserGroup.prototype.$willReceiveProps = function (props) {
        var groupData = this.getValue(props, "usersGroup.data");
        var moduleData = this.getValue(props, "adminMudule.data");
        if (groupData) {
            this.setState({
                groupData: groupData,
                moduleData: moduleData
            });
        }
    };
    UserGroup.prototype.render = function () {
        return require("./index.html");
    };
    UserGroup.prototype.getGroupModule = function (groupId) {
        return __awaiter(this, void 0, void 0, function () {
            var _this = this;
            return __generator(this, function (_a) {
                return [2, new Promise(function (resolve, reject) {
                        _this.http.sendRequest({
                            namespace: "admin",
                            endPoint: "getGroupRight",
                            data: {
                                groupId: groupId
                            },
                        }).then(function (resp) {
                            if (!MCommon_1.commonHandler(resp)) {
                                _this.state.groupRight = resp.data || [];
                                resolve({});
                            }
                            else {
                                reject({});
                            }
                        }).catch(function (error) {
                            MCommon_1.commonHandler(error);
                            reject({});
                        });
                    })];
            });
        });
    };
    UserGroup.prototype.delUserGroup = function (groupId) {
        var _this = this;
        var loading = components_1.showLoading({ title: "删除分组" });
        this.http.sendRequest({
            namespace: "admin",
            endPoint: "deleteUserGroup",
            data: {
                id: groupId
            },
            complete: function () {
                loading.dispose();
            }
        }).then(function (resp) {
            if (!MCommon_1.commonHandler(resp)) {
                _this.loadGroupList();
            }
        }).catch(function (error) {
            MCommon_1.commonHandler(error);
        });
    };
    __decorate([
        elmer_ui_core_1.autowired(elmer_ui_core_1.ElmerServiceRequest),
        __metadata("design:type", elmer_ui_core_1.ElmerServiceRequest)
    ], UserGroup.prototype, "http", void 0);
    UserGroup = __decorate([
        elmer_ui_core_1.declareComponent({
            selector: "adminUserGroup",
            connect: {
                mapStateToProps: function (state) {
                    return __assign({}, state.usersGroup);
                },
                mapDispatchToProps: function (dispatch) { return ({
                    actionUpdateGroupList: function (data) { return (dispatch(action_1.actionUpdateUserGroup(data))); }
                }); }
            }
        }),
        __metadata("design:paramtypes", [Object])
    ], UserGroup);
    return UserGroup;
}(elmer_ui_core_1.Component));
exports.default = UserGroup;
