"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
var elmer_ui_core_1 = require("elmer-ui-core");
var components_1 = require("../../../components");
var dataView_1 = require("../../../components/office/widget/dataView");
var MCommon_1 = require("../../MCommon");
var action_1 = require("../../state/action");
var tableConfig_1 = require("./tableConfig");
var UserList = (function (_super) {
    __extends(UserList, _super);
    function UserList(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            data: [],
            pager: dataView_1.createOfficeDataViewPager({
                page: 1,
                pageSize: 20,
                totalNums: 0,
                totalPage: 1
            }),
            gpager: dataView_1.createOfficeDataViewPager({
                page: 1,
                pageSize: 20,
                totalNums: 0,
                totalPage: 1
            }),
            groupData: [],
            choseUser: null
        };
        _this.columns = tableConfig_1.createUserColumns.call(_this);
        _this.groupColumns = tableConfig_1.createUserGroupColumns.call(_this);
        _this.state.data = _this.getValue(props, "adminUserList.data") || [];
        _this.state.pager.totalNums = _this.state.data.length;
        _this.groupTablId = _this.guid();
        _this.tabId = _this.guid();
        _this.state.groupData = _this.getValue(props, "usersGroup.data") || [];
        _this.state.gpager.totalNums = _this.state.groupData.length;
        return _this;
    }
    UserList.prototype.getUserGroupByUser = function (userId) {
        return __awaiter(this, void 0, void 0, function () {
            var loading;
            var _this = this;
            return __generator(this, function (_a) {
                loading = components_1.showLoading({ title: "获取分组" });
                return [2, new Promise(function (resolve, reject) {
                        _this.http.sendRequest({
                            namespace: "admin",
                            endPoint: "getUserGroupByUser",
                            data: {
                                userId: userId
                            },
                            complete: function () {
                                loading.dispose();
                            }
                        }).then(function (resp) {
                            if (!MCommon_1.commonHandler(resp)) {
                                resolve(resp.data);
                            }
                            else {
                                reject({});
                            }
                        }).catch(function (error) {
                            MCommon_1.commonHandler(error);
                            reject(error);
                        });
                    })];
            });
        });
    };
    UserList.prototype.updateUserForGroupDetail = function (groupId, userId, isAdd) {
        return __awaiter(this, void 0, void 0, function () {
            var loading;
            var _this = this;
            return __generator(this, function (_a) {
                loading = components_1.showLoading({ title: "更新" });
                return [2, new Promise(function (resolve, reject) {
                        _this.http.sendRequest({
                            namespace: "admin",
                            endPoint: isAdd ? "addUserToGroup" : "delUserFromGroup",
                            data: {
                                groupId: groupId,
                                users: [userId]
                            },
                            complete: function () {
                                loading.dispose();
                            }
                        }).then(function (resp) {
                            if (!MCommon_1.commonHandler(resp)) {
                                resolve(resp.data);
                            }
                            else {
                                reject({});
                            }
                        }).catch(function (error) {
                            MCommon_1.commonHandler(error, true);
                            reject(error);
                        });
                    })];
            });
        });
    };
    UserList.prototype.onDeleteUser = function (adminId) {
        var _this = this;
        var loading = components_1.showLoading({ title: "删除用户" });
        this.http.sendRequest({
            namespace: "admin",
            endPoint: "deleteUser",
            data: {
                adminId: adminId
            },
            complete: function () {
                loading.dispose();
            }
        }).then(function (resp) {
            if (!MCommon_1.commonHandler(resp)) {
                _this.loadUserList();
            }
        }).catch(function (error) {
            MCommon_1.commonHandler(error, true);
        });
    };
    UserList.prototype.loadUserList = function () {
        var _this = this;
        var loading = components_1.showLoading({ title: "更新" });
        this.http.sendRequest({
            namespace: "admin",
            endPoint: "adminUserList",
            data: {
                page: 0
            },
            complete: function () {
                loading.dispose();
            }
        }).then(function (resp) {
            if (!MCommon_1.commonHandler(resp)) {
                _this.props.actionUpdateUserList(resp);
                _this.setState({
                    data: resp.data || [],
                    listTime: (new Date()).getTime()
                });
            }
        }).catch(function (error) {
            MCommon_1.commonHandler(error, true);
        });
    };
    UserList.prototype.handleOnTabBeforeChange = function () {
        var userId = this.getValue(this.state, "choseUser.id");
        if (isNaN(userId) || userId <= 0) {
            components_1.eAlert({
                title: "提示",
                message: "请选择管理用户账户。",
                msgType: "OKOnly",
                iconType: "Error"
            });
            return false;
        }
    };
    UserList.prototype.handleOnAddUser = function (userData) {
        var _this = this;
        var userLogin = userData ? userData.userLogin : "";
        var userName = userData ? userData.userName : "";
        var password = null;
        var repeatPassword = null;
        var dResult = components_1.eAlert({
            content: "<div class=\"user-group-input-layout\">\n                <label class=\"layout-form-item\">\n                    <span>\u767B\u5F55\u8D26\u53F7</span>\n                    <input bind=\"state.userLogin\" value=\"" + userLogin + "\" class='eui-input' type='text' placeholder='\u767B\u5F55\u8D26\u53F7\u4E0D\u80FD\u4E3A\u7A7A'/>\n                </label>\n                <label class=\"layout-form-item\" style=\"margin-top: 10px;\">\n                    <span>\u59D3\u540D</span>\n                    <input bind=\"state.userName\" value=\"" + userName + "\" class='eui-input' type='text' placeholder=\"\u7BA1\u7406\u5458\u663E\u793A\u6635\u79F0\"/>\n                </label>\n                <label class=\"layout-form-item\" style=\"margin-top: 10px;\">\n                    <span>\u767B\u5F55\u5BC6\u7801</span>\n                    <input bind=\"state.password\" class='eui-input' type='password' placeholder=\"\u65B0\u589E\u7BA1\u7406\u5FC5\u987B\u8BBE\u7F6E\u5BC6\u7801\"/>\n                </label>\n                <label class=\"layout-form-item\" style=\"margin-top: 10px;\">\n                    <span>\u91CD\u590D\u5BC6\u7801</span>\n                    <input bind=\"state.repeatPassword\" class='eui-input' type='password' placeholder=\"\u91CD\u590D\u767B\u5F55\u5BC6\u7801\"/>\n                </label>\n            </div>",
            title: "新增管理员",
            msgType: "OkCancel",
            isMobile: false,
            onBefore: function (res) {
                if (res.button === "Ok") {
                    var bindUserLogin = _this.getValue(dResult.component, "state.userLogin");
                    userLogin = !_this.isEmpty(bindUserLogin) ? bindUserLogin : userLogin;
                    var bindUserName = _this.getValue(dResult.component, "state.userName");
                    userName = !_this.isEmpty(bindUserName) ? bindUserName : userLogin;
                    password = _this.getValue(dResult.component, "state.password");
                    repeatPassword = _this.getValue(dResult.component, "state.repeatPassword");
                    if (_this.isEmpty(userLogin)) {
                        res.cancel = true;
                        components_1.eAlert({
                            title: "错误",
                            msgType: "OKOnly",
                            iconType: "Error",
                            message: "登录账号不能为空"
                        });
                    }
                    if ((!userData || userData <= 0) && _this.isEmpty(password)) {
                        res.cancel = true;
                        components_1.eAlert({
                            title: "错误",
                            msgType: "OKOnly",
                            iconType: "Error",
                            message: "新增管理员需要设置登录密码"
                        });
                    }
                    if (!_this.isEmpty(password) && password !== repeatPassword) {
                        res.cancel = true;
                        components_1.eAlert({
                            title: "错误",
                            msgType: "OKOnly",
                            iconType: "Error",
                            message: "两次输入密码不相同"
                        });
                    }
                }
            },
            onOk: function () {
                var loading = components_1.showLoading({
                    title: "提交数据",
                    visible: true
                });
                _this.http.sendRequest({
                    namespace: "admin",
                    endPoint: "editAdminUser",
                    data: {
                        userLogin: userLogin,
                        userName: userName,
                        password: password,
                        repeatPassword: repeatPassword,
                        id: userData ? userData.id : null
                    },
                    complete: function () {
                        loading.dispose();
                        loading = null;
                    }
                }).then(function (resp) {
                    if (!MCommon_1.commonHandler(resp)) {
                        _this.loadUserList();
                    }
                }).catch(function (err) {
                    MCommon_1.commonHandler(err);
                });
            }
        });
    };
    UserList.prototype.$onPropsChanged = function (props) {
        var userListData = this.getValue(props, "adminUserList.data") || [];
        var userGroupData = this.getValue(props, "usersGroup.data") || [];
        var updateState = {};
        if (JSON.stringify(userListData) !== JSON.stringify(this.state.data)) {
            updateState.data = userListData;
        }
        if (JSON.stringify(userGroupData) !== JSON.stringify(this.state.groupData)) {
            updateState.groupData = userGroupData;
        }
        if (Object.keys(updateState).length > 0) {
            this.setState(updateState);
        }
    };
    UserList.prototype.render = function () {
        return require("./index.html");
    };
    __decorate([
        elmer_ui_core_1.autowired(elmer_ui_core_1.ElmerServiceRequest),
        __metadata("design:type", elmer_ui_core_1.ElmerServiceRequest)
    ], UserList.prototype, "http", void 0);
    UserList = __decorate([
        elmer_ui_core_1.redux.connect({
            mapStateToProps: function (state) { return (__assign({}, (state.usersGroup || {}))); },
            mapDispatchToProps: function (dispatch) { return ({
                actionUpdateUserList: function (data) { return (dispatch(action_1.actionUpdateUserList(data))); }
            }); }
        }),
        __metadata("design:paramtypes", [Object])
    ], UserList);
    return UserList;
}(elmer_ui_core_1.Component));
exports.default = UserList;
