"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.REDUX_ACTION_UPDATE_ADMIN_RIGHT_MODULE = exports.REDUX_ACTION_UPDATE_ADMIN_USERS_LIST = exports.REDUX_ACTION_UPDATE_USERS_GROUP = void 0;
var elmer_ui_core_1 = require("elmer-ui-core");
exports.REDUX_ACTION_UPDATE_USERS_GROUP = "REDUX_ACTION_UPDATE_USERS_GROUP";
exports.REDUX_ACTION_UPDATE_ADMIN_USERS_LIST = "REDUX_ACTION_UPDATE_ADMIN_USERS_LIST";
exports.REDUX_ACTION_UPDATE_ADMIN_RIGHT_MODULE = "REDUX_ACTION_UPDATE_ADMIN_RIGHT_MODULE";
var initState = {
    usersGroup: [],
    adminUserList: [],
    adminMudule: []
};
elmer_ui_core_1.redux.defineReducer(elmer_ui_core_1.autoInit(elmer_ui_core_1.redux.ReduxController), "usersGroup", function (state, action) {
    if (state === void 0) { state = initState; }
    switch (action.type) {
        case exports.REDUX_ACTION_UPDATE_USERS_GROUP: {
            return __assign(__assign({}, state), { usersGroup: action.data || [] });
        }
        case exports.REDUX_ACTION_UPDATE_ADMIN_USERS_LIST: {
            return __assign(__assign({}, state), { adminUserList: action.data || [] });
        }
        case exports.REDUX_ACTION_UPDATE_ADMIN_RIGHT_MODULE: {
            return __assign(__assign({}, state), { adminMudule: action.data || [] });
        }
    }
    return state;
});
exports.default = {};
