import { Component, IPropCheckRule } from "elmer-ui-core";
declare type TypeWebAdminContainerPropRule = {
    data: IPropCheckRule;
    id: IPropCheckRule;
    visible: IPropCheckRule;
    className: IPropCheckRule;
    style: IPropCheckRule;
    prefixPath: IPropCheckRule;
};
declare type TypeWebAdminContainerProps = {
    [P in keyof TypeWebAdminContainerPropRule]?: any;
};
declare type TypeWebAdminContainerState = TypeWebAdminContainerProps & {
    visible?: boolean;
    data?: any;
    routeUrl?: string;
};
export default class WebAdminContainer extends Component {
    static propType: TypeWebAdminContainerPropRule;
    state: TypeWebAdminContainerState;
    constructor(props: TypeWebAdminContainerProps);
    $onPropsChanged(props: TypeWebAdminContainerProps): void;
}
export {};
