import { Component, IElmerEvent, IPropCheckRule } from "elmer-ui-core";
declare type ToolBarButton = {
    title: string;
    icon: string;
    id: string;
};
declare type ToolBarState = {
    tabs?: ToolBarButton[];
    activeId?: string;
};
declare type ToolBarProps = {
    activeId: string;
    data: any;
    onClick: Function;
};
declare type ToolBarPropsRule = {
    [P in keyof ToolBarProps]?: IPropCheckRule;
};
export declare class Win10ToolBarComponent extends Component<ToolBarProps, ToolBarState> {
    static propType: ToolBarPropsRule;
    state: ToolBarState;
    constructor(props: ToolBarProps);
    $onPropsChanged(props: any): void;
    handleOnTabClick(evt: IElmerEvent): void;
    render(): string;
}
export {};
